GNU bug report logs - #18797
24.4; Unable to do image transforms even when emacs is compiled with Imagemagick

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Kaushal <kaushal.modi@HIDDEN>; Keywords: notabug; dated Wed, 22 Oct 2014 17:19:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 18797 <at> debbugs.gnu.org:


Received: (at 18797) by debbugs.gnu.org; 22 Oct 2014 20:31:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 22 16:31:20 2014
Received: from localhost ([127.0.0.1]:60258 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Xh2Yx-0001vc-LE
	for submit <at> debbugs.gnu.org; Wed, 22 Oct 2014 16:31:20 -0400
Received: from mail-oi0-f42.google.com ([209.85.218.42]:54440)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <kaushal.modi@HIDDEN>) id 1Xh2Yv-0001vP-Gq
 for 18797 <at> debbugs.gnu.org; Wed, 22 Oct 2014 16:31:18 -0400
Received: by mail-oi0-f42.google.com with SMTP id a141so3407813oig.29
 for <18797 <at> debbugs.gnu.org>; Wed, 22 Oct 2014 13:31:11 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-type;
 bh=o6s6b8zPFzUiRc9dNDZZDbi44h2zS+GLpx0q8Lxsxc0=;
 b=y/SkL6lCxI9yejl9D98A1+qQQWjciX1eBoaTfz9KuRIH2Xv4A9lKof1TmLD+4ZOK8F
 dJW8k3GtqYXiR+YngR739ExqL8DvVfDoORzyQoLyGcZ9+q5qBaIdK2+mAi8VEcDXtYg9
 XH0c7HQqO2suQwUnV79jQHZo0QoEA+209sggXARvseyaOi97qgBB3W4pQFex9BP0dmun
 a0+rFjt99f/l40rkEIUA/+UmBTGWnW/EebxZgXDrcDZfknFbsUsC8mhTOeZqb6OcO3qS
 pnKbJGx7Y6e5tapQy9bJf/bMmLd9Ig8z2UY0BpqGe/TzBq7tuk2tb/+1x20/SI7Znkzy
 kueg==
X-Received: by 10.182.210.232 with SMTP id mx8mr359985obc.46.1414009871798;
 Wed, 22 Oct 2014 13:31:11 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.76.110.44 with HTTP; Wed, 22 Oct 2014 13:30:31 -0700 (PDT)
In-Reply-To: <CAFyQvY2RykWGCoFjXcwVvjxQMuAxp9MX_5nZQpW2FKpZNZjRLA@HIDDEN>
References: <CAFyQvY1Vh6US2Nnqk8=YqLNDk3qp5naJEutpMLgy47V==Zug=w@HIDDEN>
 <c2mw8ornyu.fsf@HIDDEN>
 <CAFyQvY3hPzfSp2zaAStA=WLQh+c0gd4DAeUgbZ-9s6VKs7Y1Cg@HIDDEN>
 <CAFyQvY19RLYXr=mz1_Wwc9y6Jjzu+juTRupNTdoYL4cZYRi7LA@HIDDEN>
 <CAFyQvY2RykWGCoFjXcwVvjxQMuAxp9MX_5nZQpW2FKpZNZjRLA@HIDDEN>
From: Kaushal <kaushal.modi@HIDDEN>
Date: Wed, 22 Oct 2014 16:30:31 -0400
Message-ID: <CAFyQvY1-7Z8SWS89mWtN-qpET1ggPqXpxeQTi2+XSQ_p73YS8g@HIDDEN>
Subject: Re: bug#18797: 24.4; Unable to do image transforms even when emacs is
 compiled with Imagemagick
To: Glenn Morris <rgm@HIDDEN>
Content-Type: multipart/alternative; boundary=001a11c2b12c1e3b04050608d452
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 18797
Cc: 18797 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.4 (/)

--001a11c2b12c1e3b04050608d452
Content-Type: text/plain; charset=ISO-8859-1

The drawback of tweaking the image-type-header-regexps is that inline
images stop working in org-mode.
So is there a way for org-mode to render the inline images using
imagemagick?

Thanks.


--
Kaushal Modi

On Wed, Oct 22, 2014 at 4:19 PM, Kaushal <kaushal.modi@HIDDEN> wrote:

> I have posted a complete solution of what worked for me on Emacs SE:
> http://emacs.stackexchange.com/a/2458/115
>
> I modified the image-type-header-regexps list so that imagemagick is used
> to more more than just jpg files.
>
>
> --
> Kaushal Modi
>
> On Wed, Oct 22, 2014 at 2:50 PM, Kaushal <kaushal.modi@HIDDEN> wrote:
>
>> I went deeper in the references bug posts and I found the answer in bug #
>> 10112!
>>
>> I had to add:
>>
>> (add-to-list 'image-type-header-regexps '("\\`\377\330" . imagemagick))
>>
>> But just for my knowledge, what is "\\`\377\330" ?
>>
>>
>>
>>
>> --
>> Kaushal Modi
>>
>> On Wed, Oct 22, 2014 at 2:45 PM, Kaushal <kaushal.modi@HIDDEN> wrote:
>>
>>> Thanks for your reply.
>>>
>>> I evaluated (setq image-type-header-regexps nil) and verified that it is
>>> actually set to nil by doing C-h v on that variable.
>>>
>>> But (eq image-type 'imagemagick) is still returning nil and I am M-:
>>> (image-transform-set-scale 0.1) still does nothing.
>>>
>>>
>>>
>>>
>>> --
>>> Kaushal Modi
>>>
>>> On Wed, Oct 22, 2014 at 1:52 PM, Glenn Morris <rgm@HIDDEN> wrote:
>>>
>>>>
>>>> This message was over 1 MB. Please compress attachments in future.
>>>> No need to resend this one, since interested people can fetch the
>>>> attachment
>>>> from http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18797#5 .
>>>> (But I think it has no relevance anyway.)
>>>>
>>>> Kaushal wrote:
>>>>
>>>> > I have compiled emacs with Imagemagick (the config.log file is
>>>> attached).
>>>> >
>>>> > But "M-x image-transform-set-scale" is not working for me. The image
>>>> scale
>>>> > stays the same when I set the scale to 0.5. I tested it with bot png
>>>> and
>>>> > jpg images.
>>>> >
>>>> > But the eimp package is working fine (which uses mogrify from
>>>> Imagemagick).
>>>> >
>>>> > When an image is open in a buffer, evaluating "(eq image-type
>>>> > 'imagemagick)" returns "nil".
>>>>
>>>> Right, so it's not an ImageMagick image, so you can't transform it.
>>>> Emacs uses libjpeg for jpgs by default.
>>>> Try testing it on a format that Emacs does't support otherwise, eg bmp.
>>>> You have to force the images to be created with type imagemagick to be
>>>> able to scale them. This remains poorly documented IMO;
>>>> http://debbugs.gnu.org/10746
>>>>
>>>> > What am I missing in enabling the imagemagick detection for functions
>>>> like
>>>> > image-transform-set-scale?
>>>>
>>>
>>>
>>
>

--001a11c2b12c1e3b04050608d452
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_default" style=3D"font-family:trebuche=
t ms,sans-serif;font-size:small">The drawback of tweaking the image-type-he=
ader-regexps is that inline images stop working in org-mode.</div><div clas=
s=3D"gmail_default" style=3D"font-family:trebuchet ms,sans-serif;font-size:=
small">So is there a way for org-mode to render the inline images using ima=
gemagick?</div><div class=3D"gmail_default" style=3D"font-family:trebuchet =
ms,sans-serif;font-size:small"><br></div><div class=3D"gmail_default" style=
=3D"font-family:trebuchet ms,sans-serif;font-size:small">Thanks.</div></div=
><div class=3D"gmail_extra"><br clear=3D"all"><div><font face=3D"&#39;trebu=
chet ms&#39;, sans-serif"><br>--<br>Kaushal Modi</font></div>
<br><div class=3D"gmail_quote">On Wed, Oct 22, 2014 at 4:19 PM, Kaushal <sp=
an dir=3D"ltr">&lt;<a href=3D"mailto:kaushal.modi@HIDDEN" target=3D"_bla=
nk">kaushal.modi@HIDDEN</a>&gt;</span> wrote:<br><blockquote class=3D"gm=
ail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-le=
ft:1ex"><div dir=3D"ltr"><div class=3D"gmail_default" style=3D"font-family:=
&#39;trebuchet ms&#39;,sans-serif;font-size:small">I have posted a complete=
 solution of what worked for me on Emacs SE:=A0<a href=3D"http://emacs.stac=
kexchange.com/a/2458/115" target=3D"_blank">http://emacs.stackexchange.com/=
a/2458/115</a></div><div class=3D"gmail_default" style=3D"font-family:&#39;=
trebuchet ms&#39;,sans-serif;font-size:small"><br></div><div class=3D"gmail=
_default" style=3D"font-family:&#39;trebuchet ms&#39;,sans-serif;font-size:=
small">I modified the image-type-header-regexps list so that imagemagick is=
 used to more more than just jpg files.</div></div><div class=3D"gmail_extr=
a"><br clear=3D"all"><div><font face=3D"&#39;trebuchet ms&#39;, sans-serif"=
><br>--<br>Kaushal Modi</font></div><div><div class=3D"h5">
<br><div class=3D"gmail_quote">On Wed, Oct 22, 2014 at 2:50 PM, Kaushal <sp=
an dir=3D"ltr">&lt;<a href=3D"mailto:kaushal.modi@HIDDEN" target=3D"_bla=
nk">kaushal.modi@HIDDEN</a>&gt;</span> wrote:<br><blockquote class=3D"gm=
ail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-le=
ft:1ex"><div dir=3D"ltr"><div class=3D"gmail_default" style=3D"font-family:=
&#39;trebuchet ms&#39;,sans-serif;font-size:small">I went deeper in the ref=
erences bug posts and I found the answer in bug # 10112!</div><div class=3D=
"gmail_default" style=3D"font-family:&#39;trebuchet ms&#39;,sans-serif;font=
-size:small"><br></div><div class=3D"gmail_default" style=3D"font-family:&#=
39;trebuchet ms&#39;,sans-serif;font-size:small">I had to add:</div><div cl=
ass=3D"gmail_default" style=3D"font-family:&#39;trebuchet ms&#39;,sans-seri=
f;font-size:small"><br></div><div class=3D"gmail_default" style=3D"font-fam=
ily:&#39;trebuchet ms&#39;,sans-serif;font-size:small"><pre style=3D"paddin=
g-top:0px;margin-top:0px;border-top-width:0px;white-space:pre-wrap;color:rg=
b(0,0,0);line-height:19.2000007629395px;background-color:rgb(254,254,254)">=
(add-to-list &#39;image-type-header-regexps &#39;(&quot;\\`\377\330&quot; .=
 imagemagick))</pre><pre style=3D"padding-top:0px;margin-top:0px;border-top=
-width:0px;white-space:pre-wrap;color:rgb(0,0,0);line-height:19.20000076293=
95px;background-color:rgb(254,254,254)">But just for my knowledge, what is =
<span style=3D"line-height:19.2000007629395px;font-family:&#39;trebuchet ms=
&#39;,sans-serif">&quot;\\`\377\330&quot; ?</span></pre><pre style=3D"paddi=
ng-top:0px;margin-top:0px;border-top-width:0px;white-space:pre-wrap;color:r=
gb(0,0,0);line-height:19.2000007629395px;background-color:rgb(254,254,254)"=
><br></pre></div></div><div class=3D"gmail_extra"><br clear=3D"all"><div><f=
ont face=3D"&#39;trebuchet ms&#39;, sans-serif"><br>--<br>Kaushal Modi</fon=
t></div><div><div>
<br><div class=3D"gmail_quote">On Wed, Oct 22, 2014 at 2:45 PM, Kaushal <sp=
an dir=3D"ltr">&lt;<a href=3D"mailto:kaushal.modi@HIDDEN" target=3D"_bla=
nk">kaushal.modi@HIDDEN</a>&gt;</span> wrote:<br><blockquote class=3D"gm=
ail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-le=
ft:1ex"><div dir=3D"ltr"><div class=3D"gmail_default" style=3D"font-family:=
&#39;trebuchet ms&#39;,sans-serif;font-size:small">Thanks for your reply.</=
div><div class=3D"gmail_default" style=3D"font-family:&#39;trebuchet ms&#39=
;,sans-serif;font-size:small"><br></div><div class=3D"gmail_default" style=
=3D"font-family:&#39;trebuchet ms&#39;,sans-serif;font-size:small">I evalua=
ted (setq image-type-header-regexps nil) and verified that it is actually s=
et to nil by doing C-h v on that variable.</div><div class=3D"gmail_default=
" style=3D"font-family:&#39;trebuchet ms&#39;,sans-serif;font-size:small"><=
br></div><div class=3D"gmail_default" style=3D"font-family:&#39;trebuchet m=
s&#39;,sans-serif;font-size:small">But (eq image-type &#39;imagemagick) is =
still returning nil and I am M-: (image-transform-set-scale 0.1) still does=
 nothing.</div><div class=3D"gmail_default" style=3D"font-family:&#39;trebu=
chet ms&#39;,sans-serif;font-size:small"><br></div><div class=3D"gmail_defa=
ult" style=3D"font-family:&#39;trebuchet ms&#39;,sans-serif;font-size:small=
"><br></div></div><div class=3D"gmail_extra"><br clear=3D"all"><div><font f=
ace=3D"&#39;trebuchet ms&#39;, sans-serif"><br>--<br>Kaushal Modi</font></d=
iv><div><div>
<br><div class=3D"gmail_quote">On Wed, Oct 22, 2014 at 1:52 PM, Glenn Morri=
s <span dir=3D"ltr">&lt;<a href=3D"mailto:rgm@HIDDEN" target=3D"_blank">rg=
m@HIDDEN</a>&gt;</span> wrote:<br><blockquote class=3D"gmail_quote" style=
=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex"><br>
This message was over 1 MB. Please compress attachments in future.<br>
No need to resend this one, since interested people can fetch the attachmen=
t<br>
from <a href=3D"http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D18797#5" tar=
get=3D"_blank">http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D18797#5</a> .=
<br>
(But I think it has no relevance anyway.)<br>
<br>
Kaushal wrote:<br>
<br>
&gt; I have compiled emacs with Imagemagick (the config.log file is attache=
d).<br>
&gt;<br>
&gt; But &quot;M-x image-transform-set-scale&quot; is not working for me. T=
he image scale<br>
&gt; stays the same when I set the scale to 0.5. I tested it with bot png a=
nd<br>
&gt; jpg images.<br>
&gt;<br>
&gt; But the eimp package is working fine (which uses mogrify from Imagemag=
ick).<br>
&gt;<br>
&gt; When an image is open in a buffer, evaluating &quot;(eq image-type<br>
&gt; &#39;imagemagick)&quot; returns &quot;nil&quot;.<br>
<br>
Right, so it&#39;s not an ImageMagick image, so you can&#39;t transform it.=
<br>
Emacs uses libjpeg for jpgs by default.<br>
Try testing it on a format that Emacs does&#39;t support otherwise, eg bmp.=
<br>
You have to force the images to be created with type imagemagick to be<br>
able to scale them. This remains poorly documented IMO;<br>
<a href=3D"http://debbugs.gnu.org/10746" target=3D"_blank">http://debbugs.g=
nu.org/10746</a><br>
<br>
&gt; What am I missing in enabling the imagemagick detection for functions =
like<br>
&gt; image-transform-set-scale?<br>
</blockquote></div><br></div></div></div>
</blockquote></div><br></div></div></div>
</blockquote></div><br></div></div></div>
</blockquote></div><br></div>

--001a11c2b12c1e3b04050608d452--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18797; Package emacs. Full text available.

Message received at 18797 <at> debbugs.gnu.org:


Received: (at 18797) by debbugs.gnu.org; 22 Oct 2014 20:19:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 22 16:19:57 2014
Received: from localhost ([127.0.0.1]:60251 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Xh2Nw-0001c4-So
	for submit <at> debbugs.gnu.org; Wed, 22 Oct 2014 16:19:57 -0400
Received: from mail-oi0-f46.google.com ([209.85.218.46]:40405)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <kaushal.modi@HIDDEN>) id 1Xh2Nt-0001bq-VL
 for 18797 <at> debbugs.gnu.org; Wed, 22 Oct 2014 16:19:54 -0400
Received: by mail-oi0-f46.google.com with SMTP id h136so3354765oig.19
 for <18797 <at> debbugs.gnu.org>; Wed, 22 Oct 2014 13:19:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-type;
 bh=ozrUf8afymNB+jvlJQ3/v09pjwB08auWp6cBQmHJzkg=;
 b=R5AINdQXOvYE7+4ChcqGZhp3dtEaRrK0cAUdJvJrEWjFBnRDODyNWiTJIOnA3mYge0
 RylJPmpbBgQMVxohYCjl+XZ9HJceTEjyj7Tyr1Q9LrCtIeFPbnGsWq3bgEWcHWKHOcNe
 6seZM887DswA58gfaIugmyZaUhVBJFtaVxsE5rhcS49DnUKpWhO3ZKDCO+FEeud/blIo
 Ju/zKDXbtHVNszgbKEja5diEsjXnUZUjf0NCIHln6j7N4/JCWsLS6lo2O6M2hAbGBIru
 wqTaGlVRCApoU517qhmby3JcMZPunJnre9wlSj21/YvFSA2eWnnE1nwLEh0LgIWixu/L
 srxg==
X-Received: by 10.182.89.194 with SMTP id bq2mr352261obb.12.1414009188152;
 Wed, 22 Oct 2014 13:19:48 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.76.110.44 with HTTP; Wed, 22 Oct 2014 13:19:07 -0700 (PDT)
In-Reply-To: <CAFyQvY19RLYXr=mz1_Wwc9y6Jjzu+juTRupNTdoYL4cZYRi7LA@HIDDEN>
References: <CAFyQvY1Vh6US2Nnqk8=YqLNDk3qp5naJEutpMLgy47V==Zug=w@HIDDEN>
 <c2mw8ornyu.fsf@HIDDEN>
 <CAFyQvY3hPzfSp2zaAStA=WLQh+c0gd4DAeUgbZ-9s6VKs7Y1Cg@HIDDEN>
 <CAFyQvY19RLYXr=mz1_Wwc9y6Jjzu+juTRupNTdoYL4cZYRi7LA@HIDDEN>
From: Kaushal <kaushal.modi@HIDDEN>
Date: Wed, 22 Oct 2014 16:19:07 -0400
Message-ID: <CAFyQvY2RykWGCoFjXcwVvjxQMuAxp9MX_5nZQpW2FKpZNZjRLA@HIDDEN>
Subject: Re: bug#18797: 24.4; Unable to do image transforms even when emacs is
 compiled with Imagemagick
To: Glenn Morris <rgm@HIDDEN>
Content-Type: multipart/alternative; boundary=089e013cc45e5e841f050608ab8e
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 18797
Cc: 18797 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.4 (/)

--089e013cc45e5e841f050608ab8e
Content-Type: text/plain; charset=ISO-8859-1

I have posted a complete solution of what worked for me on Emacs SE:
http://emacs.stackexchange.com/a/2458/115

I modified the image-type-header-regexps list so that imagemagick is used
to more more than just jpg files.


--
Kaushal Modi

On Wed, Oct 22, 2014 at 2:50 PM, Kaushal <kaushal.modi@HIDDEN> wrote:

> I went deeper in the references bug posts and I found the answer in bug #
> 10112!
>
> I had to add:
>
> (add-to-list 'image-type-header-regexps '("\\`\377\330" . imagemagick))
>
> But just for my knowledge, what is "\\`\377\330" ?
>
>
>
>
> --
> Kaushal Modi
>
> On Wed, Oct 22, 2014 at 2:45 PM, Kaushal <kaushal.modi@HIDDEN> wrote:
>
>> Thanks for your reply.
>>
>> I evaluated (setq image-type-header-regexps nil) and verified that it is
>> actually set to nil by doing C-h v on that variable.
>>
>> But (eq image-type 'imagemagick) is still returning nil and I am M-:
>> (image-transform-set-scale 0.1) still does nothing.
>>
>>
>>
>>
>> --
>> Kaushal Modi
>>
>> On Wed, Oct 22, 2014 at 1:52 PM, Glenn Morris <rgm@HIDDEN> wrote:
>>
>>>
>>> This message was over 1 MB. Please compress attachments in future.
>>> No need to resend this one, since interested people can fetch the
>>> attachment
>>> from http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18797#5 .
>>> (But I think it has no relevance anyway.)
>>>
>>> Kaushal wrote:
>>>
>>> > I have compiled emacs with Imagemagick (the config.log file is
>>> attached).
>>> >
>>> > But "M-x image-transform-set-scale" is not working for me. The image
>>> scale
>>> > stays the same when I set the scale to 0.5. I tested it with bot png
>>> and
>>> > jpg images.
>>> >
>>> > But the eimp package is working fine (which uses mogrify from
>>> Imagemagick).
>>> >
>>> > When an image is open in a buffer, evaluating "(eq image-type
>>> > 'imagemagick)" returns "nil".
>>>
>>> Right, so it's not an ImageMagick image, so you can't transform it.
>>> Emacs uses libjpeg for jpgs by default.
>>> Try testing it on a format that Emacs does't support otherwise, eg bmp.
>>> You have to force the images to be created with type imagemagick to be
>>> able to scale them. This remains poorly documented IMO;
>>> http://debbugs.gnu.org/10746
>>>
>>> > What am I missing in enabling the imagemagick detection for functions
>>> like
>>> > image-transform-set-scale?
>>>
>>
>>
>

--089e013cc45e5e841f050608ab8e
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_default" style=3D"font-family:&#39;tre=
buchet ms&#39;,sans-serif;font-size:small">I have posted a complete solutio=
n of what worked for me on Emacs SE:=A0<a href=3D"http://emacs.stackexchang=
e.com/a/2458/115">http://emacs.stackexchange.com/a/2458/115</a></div><div c=
lass=3D"gmail_default" style=3D"font-family:&#39;trebuchet ms&#39;,sans-ser=
if;font-size:small"><br></div><div class=3D"gmail_default" style=3D"font-fa=
mily:&#39;trebuchet ms&#39;,sans-serif;font-size:small">I modified the imag=
e-type-header-regexps list so that imagemagick is used to more more than ju=
st jpg files.</div></div><div class=3D"gmail_extra"><br clear=3D"all"><div>=
<font face=3D"&#39;trebuchet ms&#39;, sans-serif"><br>--<br>Kaushal Modi</f=
ont></div>
<br><div class=3D"gmail_quote">On Wed, Oct 22, 2014 at 2:50 PM, Kaushal <sp=
an dir=3D"ltr">&lt;<a href=3D"mailto:kaushal.modi@HIDDEN" target=3D"_bla=
nk">kaushal.modi@HIDDEN</a>&gt;</span> wrote:<br><blockquote class=3D"gm=
ail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-le=
ft:1ex"><div dir=3D"ltr"><div class=3D"gmail_default" style=3D"font-family:=
&#39;trebuchet ms&#39;,sans-serif;font-size:small">I went deeper in the ref=
erences bug posts and I found the answer in bug # 10112!</div><div class=3D=
"gmail_default" style=3D"font-family:&#39;trebuchet ms&#39;,sans-serif;font=
-size:small"><br></div><div class=3D"gmail_default" style=3D"font-family:&#=
39;trebuchet ms&#39;,sans-serif;font-size:small">I had to add:</div><div cl=
ass=3D"gmail_default" style=3D"font-family:&#39;trebuchet ms&#39;,sans-seri=
f;font-size:small"><br></div><div class=3D"gmail_default" style=3D"font-fam=
ily:&#39;trebuchet ms&#39;,sans-serif;font-size:small"><pre style=3D"paddin=
g-top:0px;margin-top:0px;border-top-width:0px;white-space:pre-wrap;color:rg=
b(0,0,0);line-height:19.2000007629395px;background-color:rgb(254,254,254)">=
(add-to-list &#39;image-type-header-regexps &#39;(&quot;\\`\377\330&quot; .=
 imagemagick))</pre><pre style=3D"padding-top:0px;margin-top:0px;border-top=
-width:0px;white-space:pre-wrap;color:rgb(0,0,0);line-height:19.20000076293=
95px;background-color:rgb(254,254,254)">But just for my knowledge, what is =
<span style=3D"line-height:19.2000007629395px;font-family:&#39;trebuchet ms=
&#39;,sans-serif">&quot;\\`\377\330&quot; ?</span></pre><pre style=3D"paddi=
ng-top:0px;margin-top:0px;border-top-width:0px;white-space:pre-wrap;color:r=
gb(0,0,0);line-height:19.2000007629395px;background-color:rgb(254,254,254)"=
><br></pre></div></div><div class=3D"gmail_extra"><br clear=3D"all"><div><f=
ont face=3D"&#39;trebuchet ms&#39;, sans-serif"><br>--<br>Kaushal Modi</fon=
t></div><div><div class=3D"h5">
<br><div class=3D"gmail_quote">On Wed, Oct 22, 2014 at 2:45 PM, Kaushal <sp=
an dir=3D"ltr">&lt;<a href=3D"mailto:kaushal.modi@HIDDEN" target=3D"_bla=
nk">kaushal.modi@HIDDEN</a>&gt;</span> wrote:<br><blockquote class=3D"gm=
ail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-le=
ft:1ex"><div dir=3D"ltr"><div class=3D"gmail_default" style=3D"font-family:=
&#39;trebuchet ms&#39;,sans-serif;font-size:small">Thanks for your reply.</=
div><div class=3D"gmail_default" style=3D"font-family:&#39;trebuchet ms&#39=
;,sans-serif;font-size:small"><br></div><div class=3D"gmail_default" style=
=3D"font-family:&#39;trebuchet ms&#39;,sans-serif;font-size:small">I evalua=
ted (setq image-type-header-regexps nil) and verified that it is actually s=
et to nil by doing C-h v on that variable.</div><div class=3D"gmail_default=
" style=3D"font-family:&#39;trebuchet ms&#39;,sans-serif;font-size:small"><=
br></div><div class=3D"gmail_default" style=3D"font-family:&#39;trebuchet m=
s&#39;,sans-serif;font-size:small">But (eq image-type &#39;imagemagick) is =
still returning nil and I am M-: (image-transform-set-scale 0.1) still does=
 nothing.</div><div class=3D"gmail_default" style=3D"font-family:&#39;trebu=
chet ms&#39;,sans-serif;font-size:small"><br></div><div class=3D"gmail_defa=
ult" style=3D"font-family:&#39;trebuchet ms&#39;,sans-serif;font-size:small=
"><br></div></div><div class=3D"gmail_extra"><br clear=3D"all"><div><font f=
ace=3D"&#39;trebuchet ms&#39;, sans-serif"><br>--<br>Kaushal Modi</font></d=
iv><div><div>
<br><div class=3D"gmail_quote">On Wed, Oct 22, 2014 at 1:52 PM, Glenn Morri=
s <span dir=3D"ltr">&lt;<a href=3D"mailto:rgm@HIDDEN" target=3D"_blank">rg=
m@HIDDEN</a>&gt;</span> wrote:<br><blockquote class=3D"gmail_quote" style=
=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex"><br>
This message was over 1 MB. Please compress attachments in future.<br>
No need to resend this one, since interested people can fetch the attachmen=
t<br>
from <a href=3D"http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D18797#5" tar=
get=3D"_blank">http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D18797#5</a> .=
<br>
(But I think it has no relevance anyway.)<br>
<br>
Kaushal wrote:<br>
<br>
&gt; I have compiled emacs with Imagemagick (the config.log file is attache=
d).<br>
&gt;<br>
&gt; But &quot;M-x image-transform-set-scale&quot; is not working for me. T=
he image scale<br>
&gt; stays the same when I set the scale to 0.5. I tested it with bot png a=
nd<br>
&gt; jpg images.<br>
&gt;<br>
&gt; But the eimp package is working fine (which uses mogrify from Imagemag=
ick).<br>
&gt;<br>
&gt; When an image is open in a buffer, evaluating &quot;(eq image-type<br>
&gt; &#39;imagemagick)&quot; returns &quot;nil&quot;.<br>
<br>
Right, so it&#39;s not an ImageMagick image, so you can&#39;t transform it.=
<br>
Emacs uses libjpeg for jpgs by default.<br>
Try testing it on a format that Emacs does&#39;t support otherwise, eg bmp.=
<br>
You have to force the images to be created with type imagemagick to be<br>
able to scale them. This remains poorly documented IMO;<br>
<a href=3D"http://debbugs.gnu.org/10746" target=3D"_blank">http://debbugs.g=
nu.org/10746</a><br>
<br>
&gt; What am I missing in enabling the imagemagick detection for functions =
like<br>
&gt; image-transform-set-scale?<br>
</blockquote></div><br></div></div></div>
</blockquote></div><br></div></div></div>
</blockquote></div><br></div>

--089e013cc45e5e841f050608ab8e--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18797; Package emacs. Full text available.

Message received at 18797 <at> debbugs.gnu.org:


Received: (at 18797) by debbugs.gnu.org; 22 Oct 2014 18:51:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 22 14:51:47 2014
Received: from localhost ([127.0.0.1]:60238 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Xh10c-0007p4-4C
	for submit <at> debbugs.gnu.org; Wed, 22 Oct 2014 14:51:46 -0400
Received: from mail-ob0-f176.google.com ([209.85.214.176]:50357)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <kaushal.modi@HIDDEN>) id 1Xh10Z-0007oo-Rq
 for 18797 <at> debbugs.gnu.org; Wed, 22 Oct 2014 14:51:44 -0400
Received: by mail-ob0-f176.google.com with SMTP id m8so3410420obr.7
 for <18797 <at> debbugs.gnu.org>; Wed, 22 Oct 2014 11:51:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-type;
 bh=FIGMb5kxL9QiLygwo70pCvTtT3/V9qh56K6bco0qvso=;
 b=DX4WKi3f8s9gUZ266VXQ67R6bjgCynyT8k8R+a8FawMHOnpXZZ3GWp3zxNDRZ0H7h/
 QiJzzFmDN0w6Ey+YbQNYVeADRPefYbfWaDumfyBpGHF1tBginpxb65dpqUektiZD3IQp
 TjblotXt8I0KyVASflx+xi+yFDy9mG5PTi+Ckn/cRcBwK1133ni1ANFsxcHdnQ6xLqDe
 6mABFzG8cnUDVJuL4MnpOsdkOYJf0b8Izu+trYabZABwSCE9XUAStmyDj8GSAFvekXRf
 aQ4XLsn49DpxJpI2qdHwgKXvaYfK9e7X2OThkLG5/bC73TVsGe/sxT0uf5XtvrOk4A0c
 NgSw==
X-Received: by 10.202.174.76 with SMTP id x73mr58573oie.12.1414003898127; Wed,
 22 Oct 2014 11:51:38 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.76.110.44 with HTTP; Wed, 22 Oct 2014 11:50:57 -0700 (PDT)
In-Reply-To: <CAFyQvY3hPzfSp2zaAStA=WLQh+c0gd4DAeUgbZ-9s6VKs7Y1Cg@HIDDEN>
References: <CAFyQvY1Vh6US2Nnqk8=YqLNDk3qp5naJEutpMLgy47V==Zug=w@HIDDEN>
 <c2mw8ornyu.fsf@HIDDEN>
 <CAFyQvY3hPzfSp2zaAStA=WLQh+c0gd4DAeUgbZ-9s6VKs7Y1Cg@HIDDEN>
From: Kaushal <kaushal.modi@HIDDEN>
Date: Wed, 22 Oct 2014 14:50:57 -0400
Message-ID: <CAFyQvY19RLYXr=mz1_Wwc9y6Jjzu+juTRupNTdoYL4cZYRi7LA@HIDDEN>
Subject: Re: bug#18797: 24.4; Unable to do image transforms even when emacs is
 compiled with Imagemagick
To: Glenn Morris <rgm@HIDDEN>
Content-Type: multipart/alternative; boundary=001a113ced3c0f202a05060770c2
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 18797
Cc: 18797 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.4 (/)

--001a113ced3c0f202a05060770c2
Content-Type: text/plain; charset=ISO-8859-1

I went deeper in the references bug posts and I found the answer in bug #
10112!

I had to add:

(add-to-list 'image-type-header-regexps '("\\`\377\330" . imagemagick))

But just for my knowledge, what is "\\`\377\330" ?




--
Kaushal Modi

On Wed, Oct 22, 2014 at 2:45 PM, Kaushal <kaushal.modi@HIDDEN> wrote:

> Thanks for your reply.
>
> I evaluated (setq image-type-header-regexps nil) and verified that it is
> actually set to nil by doing C-h v on that variable.
>
> But (eq image-type 'imagemagick) is still returning nil and I am M-:
> (image-transform-set-scale 0.1) still does nothing.
>
>
>
>
> --
> Kaushal Modi
>
> On Wed, Oct 22, 2014 at 1:52 PM, Glenn Morris <rgm@HIDDEN> wrote:
>
>>
>> This message was over 1 MB. Please compress attachments in future.
>> No need to resend this one, since interested people can fetch the
>> attachment
>> from http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18797#5 .
>> (But I think it has no relevance anyway.)
>>
>> Kaushal wrote:
>>
>> > I have compiled emacs with Imagemagick (the config.log file is
>> attached).
>> >
>> > But "M-x image-transform-set-scale" is not working for me. The image
>> scale
>> > stays the same when I set the scale to 0.5. I tested it with bot png and
>> > jpg images.
>> >
>> > But the eimp package is working fine (which uses mogrify from
>> Imagemagick).
>> >
>> > When an image is open in a buffer, evaluating "(eq image-type
>> > 'imagemagick)" returns "nil".
>>
>> Right, so it's not an ImageMagick image, so you can't transform it.
>> Emacs uses libjpeg for jpgs by default.
>> Try testing it on a format that Emacs does't support otherwise, eg bmp.
>> You have to force the images to be created with type imagemagick to be
>> able to scale them. This remains poorly documented IMO;
>> http://debbugs.gnu.org/10746
>>
>> > What am I missing in enabling the imagemagick detection for functions
>> like
>> > image-transform-set-scale?
>>
>
>

--001a113ced3c0f202a05060770c2
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_default" style=3D"font-family:&#39;tre=
buchet ms&#39;,sans-serif;font-size:small">I went deeper in the references =
bug posts and I found the answer in bug # 10112!</div><div class=3D"gmail_d=
efault" style=3D"font-family:&#39;trebuchet ms&#39;,sans-serif;font-size:sm=
all"><br></div><div class=3D"gmail_default" style=3D"font-family:&#39;trebu=
chet ms&#39;,sans-serif;font-size:small">I had to add:</div><div class=3D"g=
mail_default" style=3D"font-family:&#39;trebuchet ms&#39;,sans-serif;font-s=
ize:small"><br></div><div class=3D"gmail_default" style=3D"font-family:&#39=
;trebuchet ms&#39;,sans-serif;font-size:small"><pre class=3D"" style=3D"pad=
ding-top:0px;margin-top:0px;border-top-width:0px;white-space:pre-wrap;color=
:rgb(0,0,0);line-height:19.2000007629395px;background-color:rgb(254,254,254=
)">(add-to-list &#39;image-type-header-regexps &#39;(&quot;\\`\377\330&quot=
; . imagemagick))</pre><pre class=3D"" style=3D"padding-top:0px;margin-top:=
0px;border-top-width:0px;white-space:pre-wrap;color:rgb(0,0,0);line-height:=
19.2000007629395px;background-color:rgb(254,254,254)">But just for my knowl=
edge, what is <span style=3D"line-height:19.2000007629395px;font-family:&#3=
9;trebuchet ms&#39;,sans-serif">&quot;\\`\377\330&quot; ?</span></pre><pre =
class=3D"" style=3D"padding-top:0px;margin-top:0px;border-top-width:0px;whi=
te-space:pre-wrap;color:rgb(0,0,0);line-height:19.2000007629395px;backgroun=
d-color:rgb(254,254,254)"><br></pre></div></div><div class=3D"gmail_extra">=
<br clear=3D"all"><div><font face=3D"&#39;trebuchet ms&#39;, sans-serif"><b=
r>--<br>Kaushal Modi</font></div>
<br><div class=3D"gmail_quote">On Wed, Oct 22, 2014 at 2:45 PM, Kaushal <sp=
an dir=3D"ltr">&lt;<a href=3D"mailto:kaushal.modi@HIDDEN" target=3D"_bla=
nk">kaushal.modi@HIDDEN</a>&gt;</span> wrote:<br><blockquote class=3D"gm=
ail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-le=
ft:1ex"><div dir=3D"ltr"><div class=3D"gmail_default" style=3D"font-family:=
&#39;trebuchet ms&#39;,sans-serif;font-size:small">Thanks for your reply.</=
div><div class=3D"gmail_default" style=3D"font-family:&#39;trebuchet ms&#39=
;,sans-serif;font-size:small"><br></div><div class=3D"gmail_default" style=
=3D"font-family:&#39;trebuchet ms&#39;,sans-serif;font-size:small">I evalua=
ted (setq image-type-header-regexps nil) and verified that it is actually s=
et to nil by doing C-h v on that variable.</div><div class=3D"gmail_default=
" style=3D"font-family:&#39;trebuchet ms&#39;,sans-serif;font-size:small"><=
br></div><div class=3D"gmail_default" style=3D"font-family:&#39;trebuchet m=
s&#39;,sans-serif;font-size:small">But (eq image-type &#39;imagemagick) is =
still returning nil and I am M-: (image-transform-set-scale 0.1) still does=
 nothing.</div><div class=3D"gmail_default" style=3D"font-family:&#39;trebu=
chet ms&#39;,sans-serif;font-size:small"><br></div><div class=3D"gmail_defa=
ult" style=3D"font-family:&#39;trebuchet ms&#39;,sans-serif;font-size:small=
"><br></div></div><div class=3D"gmail_extra"><br clear=3D"all"><div><font f=
ace=3D"&#39;trebuchet ms&#39;, sans-serif"><br>--<br>Kaushal Modi</font></d=
iv><div><div class=3D"h5">
<br><div class=3D"gmail_quote">On Wed, Oct 22, 2014 at 1:52 PM, Glenn Morri=
s <span dir=3D"ltr">&lt;<a href=3D"mailto:rgm@HIDDEN" target=3D"_blank">rg=
m@HIDDEN</a>&gt;</span> wrote:<br><blockquote class=3D"gmail_quote" style=
=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex"><br>
This message was over 1 MB. Please compress attachments in future.<br>
No need to resend this one, since interested people can fetch the attachmen=
t<br>
from <a href=3D"http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D18797#5" tar=
get=3D"_blank">http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D18797#5</a> .=
<br>
(But I think it has no relevance anyway.)<br>
<br>
Kaushal wrote:<br>
<br>
&gt; I have compiled emacs with Imagemagick (the config.log file is attache=
d).<br>
&gt;<br>
&gt; But &quot;M-x image-transform-set-scale&quot; is not working for me. T=
he image scale<br>
&gt; stays the same when I set the scale to 0.5. I tested it with bot png a=
nd<br>
&gt; jpg images.<br>
&gt;<br>
&gt; But the eimp package is working fine (which uses mogrify from Imagemag=
ick).<br>
&gt;<br>
&gt; When an image is open in a buffer, evaluating &quot;(eq image-type<br>
&gt; &#39;imagemagick)&quot; returns &quot;nil&quot;.<br>
<br>
Right, so it&#39;s not an ImageMagick image, so you can&#39;t transform it.=
<br>
Emacs uses libjpeg for jpgs by default.<br>
Try testing it on a format that Emacs does&#39;t support otherwise, eg bmp.=
<br>
You have to force the images to be created with type imagemagick to be<br>
able to scale them. This remains poorly documented IMO;<br>
<a href=3D"http://debbugs.gnu.org/10746" target=3D"_blank">http://debbugs.g=
nu.org/10746</a><br>
<br>
&gt; What am I missing in enabling the imagemagick detection for functions =
like<br>
&gt; image-transform-set-scale?<br>
</blockquote></div><br></div></div></div>
</blockquote></div><br></div>

--001a113ced3c0f202a05060770c2--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18797; Package emacs. Full text available.

Message received at 18797 <at> debbugs.gnu.org:


Received: (at 18797) by debbugs.gnu.org; 22 Oct 2014 18:46:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 22 14:46:28 2014
Received: from localhost ([127.0.0.1]:60230 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Xh0vT-0007gG-D2
	for submit <at> debbugs.gnu.org; Wed, 22 Oct 2014 14:46:27 -0400
Received: from mail-ob0-f182.google.com ([209.85.214.182]:45615)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <kaushal.modi@HIDDEN>) id 1Xh0vP-0007g0-4s
 for 18797 <at> debbugs.gnu.org; Wed, 22 Oct 2014 14:46:24 -0400
Received: by mail-ob0-f182.google.com with SMTP id uy5so3475013obc.27
 for <18797 <at> debbugs.gnu.org>; Wed, 22 Oct 2014 11:46:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-type;
 bh=Yr/R2abz231Bip3ghUwfNBDqfymC82wUsN1RycFwYG4=;
 b=i/1RHKSnBxgRKW561zmqHx0t/D/dmQFjVMUlCfB81+RKsIHME+zxJL3sT1ODm8H77F
 bgvkE9ghbUdj0qToTmhgSwM8+o1ZXwkYBji3GyiBSu6gdx/q/BJ6NSRiW/J5kBm/a604
 v2KFYyPhr6BvZksRosnp3UmyZ4OyfjLZ8ridy0Z1FlRBjvtgueu0YW/MXrAx4VSF1LNf
 yoimS9bpi4D/OZTmKONqVwlpznd2ZO4yXkwpnRMx4cwZH4a+4w2SuGwSyAmwG+6SKZ34
 M9frexOEjhzdDRlsJU+2seJx6fSKFNJiiUXHYiWjI/4rITL29riXluzqDDUEUk/zJEIy
 2LTA==
X-Received: by 10.202.174.76 with SMTP id x73mr39884oie.12.1414003577399; Wed,
 22 Oct 2014 11:46:17 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.76.110.44 with HTTP; Wed, 22 Oct 2014 11:45:37 -0700 (PDT)
In-Reply-To: <c2mw8ornyu.fsf@HIDDEN>
References: <CAFyQvY1Vh6US2Nnqk8=YqLNDk3qp5naJEutpMLgy47V==Zug=w@HIDDEN>
 <c2mw8ornyu.fsf@HIDDEN>
From: Kaushal <kaushal.modi@HIDDEN>
Date: Wed, 22 Oct 2014 14:45:37 -0400
Message-ID: <CAFyQvY3hPzfSp2zaAStA=WLQh+c0gd4DAeUgbZ-9s6VKs7Y1Cg@HIDDEN>
Subject: Re: bug#18797: 24.4; Unable to do image transforms even when emacs is
 compiled with Imagemagick
To: Glenn Morris <rgm@HIDDEN>
Content-Type: multipart/alternative; boundary=001a113ced3cf130fb0506075c28
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 18797
Cc: 18797 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.4 (/)

--001a113ced3cf130fb0506075c28
Content-Type: text/plain; charset=ISO-8859-1

Thanks for your reply.

I evaluated (setq image-type-header-regexps nil) and verified that it is
actually set to nil by doing C-h v on that variable.

But (eq image-type 'imagemagick) is still returning nil and I am M-:
(image-transform-set-scale 0.1) still does nothing.




--
Kaushal Modi

On Wed, Oct 22, 2014 at 1:52 PM, Glenn Morris <rgm@HIDDEN> wrote:

>
> This message was over 1 MB. Please compress attachments in future.
> No need to resend this one, since interested people can fetch the
> attachment
> from http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18797#5 .
> (But I think it has no relevance anyway.)
>
> Kaushal wrote:
>
> > I have compiled emacs with Imagemagick (the config.log file is attached).
> >
> > But "M-x image-transform-set-scale" is not working for me. The image
> scale
> > stays the same when I set the scale to 0.5. I tested it with bot png and
> > jpg images.
> >
> > But the eimp package is working fine (which uses mogrify from
> Imagemagick).
> >
> > When an image is open in a buffer, evaluating "(eq image-type
> > 'imagemagick)" returns "nil".
>
> Right, so it's not an ImageMagick image, so you can't transform it.
> Emacs uses libjpeg for jpgs by default.
> Try testing it on a format that Emacs does't support otherwise, eg bmp.
> You have to force the images to be created with type imagemagick to be
> able to scale them. This remains poorly documented IMO;
> http://debbugs.gnu.org/10746
>
> > What am I missing in enabling the imagemagick detection for functions
> like
> > image-transform-set-scale?
>

--001a113ced3cf130fb0506075c28
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_default" style=3D"font-family:&#39;tre=
buchet ms&#39;,sans-serif;font-size:small">Thanks for your reply.</div><div=
 class=3D"gmail_default" style=3D"font-family:&#39;trebuchet ms&#39;,sans-s=
erif;font-size:small"><br></div><div class=3D"gmail_default" style=3D"font-=
family:&#39;trebuchet ms&#39;,sans-serif;font-size:small">I evaluated (setq=
 image-type-header-regexps nil) and verified that it is actually set to nil=
 by doing C-h v on that variable.</div><div class=3D"gmail_default" style=
=3D"font-family:&#39;trebuchet ms&#39;,sans-serif;font-size:small"><br></di=
v><div class=3D"gmail_default" style=3D"font-family:&#39;trebuchet ms&#39;,=
sans-serif;font-size:small">But (eq image-type &#39;imagemagick) is still r=
eturning nil and I am M-: (image-transform-set-scale 0.1) still does nothin=
g.</div><div class=3D"gmail_default" style=3D"font-family:&#39;trebuchet ms=
&#39;,sans-serif;font-size:small"><br></div><div class=3D"gmail_default" st=
yle=3D"font-family:&#39;trebuchet ms&#39;,sans-serif;font-size:small"><br><=
/div></div><div class=3D"gmail_extra"><br clear=3D"all"><div><font face=3D"=
&#39;trebuchet ms&#39;, sans-serif"><br>--<br>Kaushal Modi</font></div>
<br><div class=3D"gmail_quote">On Wed, Oct 22, 2014 at 1:52 PM, Glenn Morri=
s <span dir=3D"ltr">&lt;<a href=3D"mailto:rgm@HIDDEN" target=3D"_blank">rg=
m@HIDDEN</a>&gt;</span> wrote:<br><blockquote class=3D"gmail_quote" style=
=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex"><br>
This message was over 1 MB. Please compress attachments in future.<br>
No need to resend this one, since interested people can fetch the attachmen=
t<br>
from <a href=3D"http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D18797#5" tar=
get=3D"_blank">http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D18797#5</a> .=
<br>
(But I think it has no relevance anyway.)<br>
<br>
Kaushal wrote:<br>
<br>
&gt; I have compiled emacs with Imagemagick (the config.log file is attache=
d).<br>
&gt;<br>
&gt; But &quot;M-x image-transform-set-scale&quot; is not working for me. T=
he image scale<br>
&gt; stays the same when I set the scale to 0.5. I tested it with bot png a=
nd<br>
&gt; jpg images.<br>
&gt;<br>
&gt; But the eimp package is working fine (which uses mogrify from Imagemag=
ick).<br>
&gt;<br>
&gt; When an image is open in a buffer, evaluating &quot;(eq image-type<br>
&gt; &#39;imagemagick)&quot; returns &quot;nil&quot;.<br>
<br>
Right, so it&#39;s not an ImageMagick image, so you can&#39;t transform it.=
<br>
Emacs uses libjpeg for jpgs by default.<br>
Try testing it on a format that Emacs does&#39;t support otherwise, eg bmp.=
<br>
You have to force the images to be created with type imagemagick to be<br>
able to scale them. This remains poorly documented IMO;<br>
<a href=3D"http://debbugs.gnu.org/10746" target=3D"_blank">http://debbugs.g=
nu.org/10746</a><br>
<br>
&gt; What am I missing in enabling the imagemagick detection for functions =
like<br>
&gt; image-transform-set-scale?<br>
</blockquote></div><br></div>

--001a113ced3cf130fb0506075c28--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18797; Package emacs. Full text available.

Message received at 18797 <at> debbugs.gnu.org:


Received: (at 18797) by debbugs.gnu.org; 22 Oct 2014 17:52:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 22 13:52:47 2014
Received: from localhost ([127.0.0.1]:60176 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Xh05W-0006CZ-10
	for submit <at> debbugs.gnu.org; Wed, 22 Oct 2014 13:52:46 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:44679 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1Xh05T-0006CQ-4A
 for 18797 <at> debbugs.gnu.org; Wed, 22 Oct 2014 13:52:43 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1Xh05S-00080x-1K; Wed, 22 Oct 2014 13:52:42 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Kaushal <kaushal.modi@HIDDEN>
Subject: Re: bug#18797: 24.4;
 Unable to do image transforms even when emacs is compiled with
 Imagemagick
References: <CAFyQvY1Vh6US2Nnqk8=YqLNDk3qp5naJEutpMLgy47V==Zug=w@HIDDEN>
X-Spook: assassinate UOP Khaddafi supercomputer Chobetsu Waco,
X-Ran: R\%Xfm[)7.`\??,AayJPaP2vOX,[#Yblw+;Ty:]U5>CltTA{*\bA6hk"MC97Vf.1j[~+X*
X-Hue: yellow
X-Attribution: GM
Date: Wed, 22 Oct 2014 13:52:41 -0400
In-Reply-To: <CAFyQvY1Vh6US2Nnqk8=YqLNDk3qp5naJEutpMLgy47V==Zug=w@HIDDEN>
 (Kaushal's message of "Wed, 22 Oct 2014 13:14:17 -0400")
Message-ID: <c2mw8ornyu.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.4 (------)
X-Debbugs-Envelope-To: 18797
Cc: 18797 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.4 (------)


This message was over 1 MB. Please compress attachments in future.
No need to resend this one, since interested people can fetch the attachment
from http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18797#5 .
(But I think it has no relevance anyway.)

Kaushal wrote:

> I have compiled emacs with Imagemagick (the config.log file is attached).
>
> But "M-x image-transform-set-scale" is not working for me. The image scale
> stays the same when I set the scale to 0.5. I tested it with bot png and
> jpg images.
>
> But the eimp package is working fine (which uses mogrify from Imagemagick).
>
> When an image is open in a buffer, evaluating "(eq image-type
> 'imagemagick)" returns "nil".

Right, so it's not an ImageMagick image, so you can't transform it.
Emacs uses libjpeg for jpgs by default.
Try testing it on a format that Emacs does't support otherwise, eg bmp.
You have to force the images to be created with type imagemagick to be
able to scale them. This remains poorly documented IMO; 
http://debbugs.gnu.org/10746

> What am I missing in enabling the imagemagick detection for functions like
> image-transform-set-scale?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18797; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Oct 2014 17:18:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 22 13:18:40 2014
Received: from localhost ([127.0.0.1]:60123 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XgzYV-0005IQ-T3
	for submit <at> debbugs.gnu.org; Wed, 22 Oct 2014 13:18:40 -0400
Received: from eggs.gnu.org ([208.118.235.92]:37035)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <kaushal.modi@HIDDEN>) id 1XgzVI-0005Ck-Ea
 for submit <at> debbugs.gnu.org; Wed, 22 Oct 2014 13:15:20 -0400
Received: from lists.gnu.org ([208.118.235.17]:58399)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <kaushal.modi@HIDDEN>) id 1XgzVC-00084Q-Sp
 for submit <at> debbugs.gnu.org; Wed, 22 Oct 2014 13:15:15 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:38750)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <kaushal.modi@HIDDEN>) id 1XgzV2-00021C-NQ
 for bug-gnu-emacs@HIDDEN; Wed, 22 Oct 2014 13:15:14 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_FONT_FACE_BAD,HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled
 version=3.3.2
Received: from mail-ob0-x236.google.com ([2607:f8b0:4003:c01::236]:36409)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <kaushal.modi@HIDDEN>) id 1XgzV0-0007ho-8r
 for bug-gnu-emacs@HIDDEN; Wed, 22 Oct 2014 13:15:04 -0400
Received: by mail-ob0-f182.google.com with SMTP id uy5so3244911obc.41
 for <bug-gnu-emacs@HIDDEN>; Wed, 22 Oct 2014 10:14:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:from:date:message-id:subject:to:content-type;
 bh=xtJCz4VFGHwvVlbJfaWQ/xU5mTX8pHCA9cED9XeShXc=;
 b=0eKbOoREfEEZxEMljD3HcuA8tGDY1HxDqpnvPkVha8VgWInQ0HYapBC0xGbPAxpbd4
 yXcZ6k1IvOwQ7I5BYtYOl5hepRmv2LjCrpKl2uXnARJohQZGwWac6MQep0Klelt7LN/4
 J7MteS7j50ax3Qbfq2zjxYZmO6PnJLtwZQVXg3pZmyUz0h7KRWaDEqcgBuuwlWyFeauJ
 ovfde7z1jCtT8626AcLtuGnBCiioZWh+1xDwnGNJwcwq6qo31SnXuWKus4tnlbXKMILI
 jYfjALF0xtKMZHKS2r5Sd57WvuOyzlW4SDmAKEJI+PDg+KOeiutKDeWkA78eNh7Z2CeX
 Gx8g==
X-Received: by 10.182.60.202 with SMTP id j10mr1324446obr.84.1413998098511;
 Wed, 22 Oct 2014 10:14:58 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.76.110.44 with HTTP; Wed, 22 Oct 2014 10:14:17 -0700 (PDT)
From: Kaushal <kaushal.modi@HIDDEN>
Date: Wed, 22 Oct 2014 13:14:17 -0400
Message-ID: <CAFyQvY1Vh6US2Nnqk8=YqLNDk3qp5naJEutpMLgy47V==Zug=w@HIDDEN>
Subject: 24.4; Unable to do image transforms even when emacs is compiled with
 Imagemagick
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/mixed; boundary=089e0160cf386044090506061666
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 22 Oct 2014 13:18:37 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>

--089e0160cf386044090506061666
Content-Type: multipart/alternative; boundary=089e0160cf386044030506061664

--089e0160cf386044030506061664
Content-Type: text/plain; charset=ISO-8859-1

Hi,

I have compiled emacs with Imagemagick (the config.log file is attached).

But "M-x image-transform-set-scale" is not working for me. The image scale
stays the same when I set the scale to 0.5. I tested it with bot png and
jpg images.

But the eimp package is working fine (which uses mogrify from Imagemagick).

When an image is open in a buffer, evaluating "(eq image-type
'imagemagick)" returns "nil".

What am I missing in enabling the imagemagick detection for functions like
image-transform-set-scale?

Thanks.

In GNU Emacs 24.4.8 (x86_64-unknown-linux-gnu, GTK+ Version 2.10.4)
 of 2014-10-19 on ...
Windowing system distributor `The X.Org Foundation', version 11.0.60900000
System Description: Red Hat Enterprise Linux Client release 5.10 (Tikanga)

Configured using:
 `configure --prefix=/home/kmodi/usr_local2
 --exec-prefix=/home/kmodi/usr_local2/bin/emacs-24.4-gtk
 CPPFLAGS=-fgnu89-inline'

Important settings:
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=none
  locale-coding-system: utf-8-unix

Major mode: Verilog

Minor modes in effect:
  TeX-PDF-mode: t
  ggtags-mode: t
  flyspell-mode: t
  shell-dirtrack-mode: t
  yas-minor-mode: t
  yafolding-mode: t
  recentf-mode: t
  rainbow-delimiters-mode: t
  projectile-global-mode: t
  projectile-mode: t
  global-page-break-lines-mode: t
  ido-ubiquitous-mode: t
  ido-vertical-mode: t
  flx-ido-mode: t
  global-hungry-delete-mode: t
  hungry-delete-mode: t
  volatile-highlights-mode: t
  global-hardcore-mode: t
  hardcore-mode: t
  guide-key-mode: t
  drag-stuff-global-mode: t
  global-auto-complete-mode: t
  auto-complete-mode: t
  fci-mode: t
  popwin-mode: t
  global-undo-tree-mode: t
  undo-tree-mode: t
  ido-everywhere: t
  global-anzu-mode: t
  anzu-mode: t
  desktop-save-mode: t
  winner-mode: t
  global-modi-mode: t
  modi-mode: t
  override-global-mode: t
  show-paren-mode: t
  global-hi-lock-mode: t
  hi-lock-mode: t
  display-time-mode: t
  delete-selection-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<down-mouse-4> <mouse-4> <double-down-mouse-4> <double-mouse-4>
<triple-down-mouse-4> <triple-mouse-4> <triple-down-mouse-4>
<triple-mouse-4> <triple-down-mouse-4> <triple-mouse-4>
<down-mouse-5> <mouse-5> <down-mouse-4> <mouse-4> <double-down-mouse-4>
<double-mouse-4> <triple-down-mouse-4> <triple-mouse-4>
<down-mouse-4> <mouse-4> <double-down-mouse-4> <double-mouse-4>
<down-mouse-1> <mouse-1> <help-echo> <down-mouse-1>
<mouse-1> C-x b a d c s e q l i C-n <return> <down-mouse-5>
<mouse-5> <down-mouse-5> <mouse-5> <double-down-mouse-5>
<double-mouse-5> <down-mouse-5> <mouse-5> <down-mouse-5>
<mouse-5> <down-mouse-5> <mouse-5> <down-mouse-4> <mouse-4>
<double-down-mouse-4> <double-mouse-4> <triple-down-mouse-4>
<triple-mouse-4> <triple-down-mouse-4> <triple-mouse-4>
<triple-down-mouse-4> <triple-mouse-4> <triple-down-mouse-4>
<triple-mouse-4> <triple-down-mouse-4> <triple-mouse-4>
<triple-down-mouse-4> <triple-mouse-4> <triple-down-mouse-4>
<triple-mouse-4> <triple-down-mouse-4> <triple-mouse-4>
<triple-down-mouse-4> <triple-mouse-4> <triple-down-mouse-4>
<triple-mouse-4> <triple-down-mouse-4> <triple-mouse-4>
<triple-down-mouse-4> <triple-mouse-4> <triple-down-mouse-4>
<triple-mouse-4> <triple-down-mouse-4> <triple-mouse-4>
<triple-down-mouse-4> <triple-mouse-4> <triple-down-mouse-4>
<triple-mouse-4> <triple-down-mouse-4> <triple-mouse-4>
<triple-down-mouse-4> <triple-mouse-4> <triple-down-mouse-4>
<triple-mouse-4> <triple-down-mouse-4> <triple-mouse-4>
<triple-down-mouse-4> <triple-mouse-4> <triple-down-mouse-4>
<triple-mouse-4> <triple-down-mouse-4> <triple-mouse-4>
<triple-down-mouse-4> <triple-mouse-4> <triple-down-mouse-4>
<triple-mouse-4> <triple-down-mouse-4> <triple-mouse-4>
<triple-down-mouse-4> <triple-mouse-4> <triple-down-mouse-4>
<triple-mouse-4> <triple-down-mouse-4> <triple-mouse-4>
<triple-down-mouse-4> <triple-mouse-4> <triple-down-mouse-4>
<triple-mouse-4> <triple-down-mouse-4> <triple-mouse-4>
<triple-down-mouse-4> <triple-mouse-4> <triple-down-mouse-4>
<triple-mouse-4> <triple-down-mouse-4> <triple-mouse-4>
<triple-down-mouse-4> <triple-mouse-4> <triple-down-mouse-4>
<triple-mouse-4> <triple-down-mouse-4> <triple-mouse-4>
<triple-down-mouse-4> <triple-mouse-4> <triple-down-mouse-4>
<triple-mouse-4> <triple-down-mouse-4> <triple-mouse-4>
<triple-down-mouse-4> <triple-mouse-4> <triple-down-mouse-4>
<triple-mouse-4> <triple-down-mouse-4> <triple-mouse-4>
<triple-down-mouse-4> <triple-mouse-4> <triple-down-mouse-4>
<triple-mouse-4> <triple-down-mouse-4> <triple-mouse-4>
<triple-down-mouse-4> <triple-mouse-4> <triple-down-mouse-4>
<triple-mouse-4> <triple-down-mouse-4> <triple-mouse-4>
<triple-down-mouse-4> <triple-mouse-4> <down-mouse-4>
<mouse-4> <double-down-mouse-4> <double-mouse-4> <triple-down-mouse-4>
<triple-mouse-4> <triple-down-mouse-4> <triple-mouse-4>
<triple-down-mouse-4> <triple-mouse-4> <triple-down-mouse-4>
<triple-mouse-4> <triple-down-mouse-4> <triple-mouse-4>
<triple-down-mouse-4> <triple-mouse-4> <triple-down-mouse-4>
<triple-mouse-4> <triple-down-mouse-4> <triple-mouse-4>
<triple-down-mouse-4> <triple-mouse-4> <triple-down-mouse-4>
<triple-mouse-4> <triple-down-mouse-4> <triple-mouse-4>
<triple-down-mouse-4> <triple-mouse-4> <triple-down-mouse-4>
<triple-mouse-4> <triple-down-mouse-4> <triple-mouse-4>
<triple-down-mouse-4> <triple-mouse-4> <triple-down-mouse-4>
<triple-mouse-4> <triple-down-mouse-4> <triple-mouse-4>
<triple-down-mouse-4> <triple-mouse-4> <triple-down-mouse-4>
<triple-mouse-4> <down-mouse-4> <mouse-4> <double-down-mouse-4>
<double-mouse-4> <triple-down-mouse-4> <triple-mouse-4>
<triple-down-mouse-4> <triple-mouse-4> <triple-down-mouse-4>
<triple-mouse-4> <triple-down-mouse-4> <triple-mouse-4>
<triple-down-mouse-4> <triple-mouse-4> <triple-down-mouse-4>
<triple-mouse-4> <triple-down-mouse-4> <triple-mouse-4>
<down-mouse-5> <mouse-5> <double-down-mouse-5> <double-mouse-5>
<triple-down-mouse-5> <triple-mouse-5> <triple-down-mouse-5>
<triple-mouse-5> <triple-down-mouse-5> <triple-mouse-5>
<triple-down-mouse-5> <triple-mouse-5> <triple-down-mouse-5>
<triple-mouse-5> <triple-down-mouse-5> <triple-mouse-5>
<triple-down-mouse-5> <triple-mouse-5> <triple-down-mouse-5>
<triple-mouse-5> <triple-down-mouse-5> <triple-mouse-5>
<triple-down-mouse-5> <triple-mouse-5> <triple-down-mouse-5>
<triple-mouse-5> <triple-down-mouse-5> <triple-mouse-5>
<triple-down-mouse-5> <triple-mouse-5> <triple-down-mouse-5>
<triple-mouse-5> <triple-down-mouse-5> <triple-mouse-5>
<triple-down-mouse-5> <triple-mouse-5> <triple-down-mouse-5>
<triple-mouse-5> <triple-down-mouse-5> <triple-mouse-5>
<triple-down-mouse-5> <triple-mouse-5> <triple-down-mouse-5>
<triple-mouse-5> <down-mouse-5> <mouse-5> <double-down-mouse-5>
<double-mouse-5> <triple-down-mouse-5> <triple-mouse-5>
<triple-down-mouse-5> <triple-mouse-5> <triple-down-mouse-5>
<triple-mouse-5> <triple-down-mouse-5> <triple-mouse-5>
<down-mouse-5> <mouse-5> <double-down-mouse-5> <double-mouse-5>
<down-mouse-1> <mouse-1> <help-echo> <down-mouse-1>
<mouse-1> ; ' e m a g b u g <backspace> <backspace>
<backspace> <backspace> b u g C-n <return>

Recent messages:

*Dired* downloads/: 418269719_05a6730c49_b.jpg ():

*Dired* downloads/: Clipboard01.png ():

*Dired* downloads/: Clipboard02.png ():
image-dired-display-image-mode enabled
Buffer is read-only: #<buffer *image-dired-display-image*> [2 times]
Full size image displayed [3 times]
Type C-c C-c to view the image as text.
byte-code: Beginning of buffer [2 times]

Load-path shadows:
/home/kmodi/.emacs.d/custom hides
/home/kmodi/usr_local2/share/emacs/24.4/lisp/custom
/home/kmodi/.emacs.d/verilog-mode hides
/home/kmodi/usr_local2/share/emacs/24.4/lisp/progmodes/verilog-mode
/home/kmodi/usr_local2/share/emacs/24.4/lisp/progmodes/cperl-mode hides
/home/kmodi/.emacs.d/elpa/cperl-mode-20140309.122/cperl-mode
/home/kmodi/.emacs.d/header2 hides
/home/kmodi/.emacs.d/elpa/header2-20140723.1525/header2
/home/kmodi/.emacs.d/matlab-emacs/tlc hides
/home/kmodi/.emacs.d/elpa/matlab-mode-20140923.1233/tlc
/home/kmodi/.emacs.d/matlab-emacs/semanticdb-matlab hides
/home/kmodi/.emacs.d/elpa/matlab-mode-20140923.1233/semanticdb-matlab
/home/kmodi/.emacs.d/matlab-emacs/semantic-matlab hides
/home/kmodi/.emacs.d/elpa/matlab-mode-20140923.1233/semantic-matlab
/home/kmodi/.emacs.d/matlab-emacs/mlint hides
/home/kmodi/.emacs.d/elpa/matlab-mode-20140923.1233/mlint
/home/kmodi/.emacs.d/matlab-emacs/matlab hides
/home/kmodi/.emacs.d/elpa/matlab-mode-20140923.1233/matlab
/home/kmodi/.emacs.d/matlab-emacs/matlab-publish hides
/home/kmodi/.emacs.d/elpa/matlab-mode-20140923.1233/matlab-publish
/home/kmodi/.emacs.d/matlab-emacs/company-matlab-shell hides
/home/kmodi/.emacs.d/elpa/matlab-mode-20140923.1233/company-matlab-shell
/home/kmodi/.emacs.d/matlab-emacs/matlab-load hides
/home/kmodi/.emacs.d/elpa/matlab-mode-20140923.1233/matlab-load
/home/kmodi/.emacs.d/matlab-emacs/cedet-matlab hides
/home/kmodi/.emacs.d/elpa/matlab-mode-20140923.1233/cedet-matlab
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ox hides
/home/kmodi/.emacs.d/elpa/org-20141020/ox
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ox-texinfo hides
/home/kmodi/.emacs.d/elpa/org-20141020/ox-texinfo
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ox-publish hides
/home/kmodi/.emacs.d/elpa/org-20141020/ox-publish
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ox-org hides
/home/kmodi/.emacs.d/elpa/org-20141020/ox-org
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ox-odt hides
/home/kmodi/.emacs.d/elpa/org-20141020/ox-odt
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ox-md hides
/home/kmodi/.emacs.d/elpa/org-20141020/ox-md
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ox-man hides
/home/kmodi/.emacs.d/elpa/org-20141020/ox-man
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ox-icalendar hides
/home/kmodi/.emacs.d/elpa/org-20141020/ox-icalendar
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ox-html hides
/home/kmodi/.emacs.d/elpa/org-20141020/ox-html
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ox-beamer hides
/home/kmodi/.emacs.d/elpa/org-20141020/ox-beamer
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org hides
/home/kmodi/.emacs.d/elpa/org-20141020/org
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-w3m hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-w3m
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-timer hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-timer
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-table hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-table
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-src hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-src
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-rmail hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-rmail
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-protocol hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-protocol
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-plot hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-plot
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-pcomplete hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-pcomplete
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-mouse hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-mouse
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-mobile hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-mobile
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-mhe hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-mhe
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-macs hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-macs
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-macro hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-macro
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-list hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-list
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-irc hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-irc
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-inlinetask hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-inlinetask
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-info hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-info
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-indent hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-indent
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-id hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-id
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-habit hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-habit
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-gnus hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-gnus
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-footnote hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-footnote
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-feed hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-feed
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-faces hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-faces
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-eshell hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-eshell
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-entities hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-entities
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-element hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-element
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-docview hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-docview
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-datetree hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-datetree
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-crypt hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-crypt
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-compat hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-compat
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-colview hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-colview
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-clock hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-clock
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-capture hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-capture
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-bibtex hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-bibtex
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-bbdb hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-bbdb
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-attach hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-attach
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-archive hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-archive
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-agenda hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-agenda
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-tangle hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-tangle
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-table hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-table
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-sqlite hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-sqlite
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-sql hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-sql
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-shen hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-shen
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-sh hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-sh
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-screen hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-screen
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-scheme hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-scheme
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ox-ascii hides
/home/kmodi/.emacs.d/elpa/org-20141020/ox-ascii
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-scala hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-scala
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-sass hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-sass
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-ruby hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-ruby
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-ref hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-ref
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-python hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-python
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-plantuml hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-plantuml
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-picolisp hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-picolisp
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-perl hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-perl
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-org hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-org
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-octave hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-octave
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-ocaml hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-ocaml
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-mscgen hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-mscgen
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-maxima hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-maxima
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-matlab hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-matlab
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-makefile hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-makefile
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-lob hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-lob
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-lisp hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-lisp
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-lilypond hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-lilypond
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-ledger hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-ledger
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-latex hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-latex
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-keys hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-keys
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-js hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-js
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-java hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-java
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-io hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-io
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-haskell hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-haskell
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-gnuplot hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-gnuplot
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-fortran hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-fortran
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-exp hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-exp
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-eval hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-eval
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-emacs-lisp hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-emacs-lisp
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-dot hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-dot
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-ditaa hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-ditaa
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-css hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-css
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-core hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-core
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-comint hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-comint
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-clojure hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-clojure
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-calc hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-calc
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-awk hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-awk
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-asymptote hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-asymptote
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-R hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-R
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ox-latex hides
/home/kmodi/.emacs.d/elpa/org-20141020/ox-latex
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-version hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-version
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-C hides
/home/kmodi/.emacs.d/elpa/org-20141020/ob-C
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-install hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-install
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-ctags hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-ctags
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-loaddefs hides
/home/kmodi/.emacs.d/elpa/org-20141020/org-loaddefs
/home/kmodi/.emacs.d/elpa/swoop-20140605.1410/swoop hides
/home/kmodi/.emacs.d/elpa/swoop-20140605.54/swoop
/home/kmodi/.emacs.d/elpa/swoop-20140605.1410/swoop-pkg hides
/home/kmodi/.emacs.d/elpa/swoop-20140605.54/swoop-pkg
/home/kmodi/.emacs.d/elpa/swoop-20140605.1410/swoop-autoloads hides
/home/kmodi/.emacs.d/elpa/swoop-20140605.54/swoop-autoloads
/home/kmodi/.emacs.d/elpa/swoop-20140605.1410/swoop-lib hides
/home/kmodi/.emacs.d/elpa/swoop-20140605.54/swoop-lib
/home/kmodi/.emacs.d/elpa/swoop-20140605.1410/swoop-edit hides
/home/kmodi/.emacs.d/elpa/swoop-20140605.54/swoop-edit
/home/kmodi/.emacs.d/elpa/ox-reveal-20141016.840/ox-reveal hides
/home/kmodi/.emacs.d/from-git/org-reveal/ox-reveal
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ox hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ox
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ox-texinfo hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ox-texinfo
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ox-publish hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ox-publish
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ox-org hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ox-org
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ox-odt hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ox-odt
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ox-md hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ox-md
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ox-man hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ox-man
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ox-latex hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ox-latex
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ox-icalendar hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ox-icalendar
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ox-html hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ox-html
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ox-beamer hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ox-beamer
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ox-ascii hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ox-ascii
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-timer hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-timer
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-table hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-table
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-src hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-src
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-rmail hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-rmail
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-protocol hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-protocol
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-plot hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-plot
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-pcomplete hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-pcomplete
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-mouse hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-mouse
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-mobile hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-mobile
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-mhe hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-mhe
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-macs hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-macs
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-macro hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-macro
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-list hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-list
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-irc hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-irc
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-inlinetask hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-inlinetask
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-info hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-info
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-indent hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-indent
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-id hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-id
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-habit hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-habit
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-gnus hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-gnus
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-footnote hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-footnote
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-feed hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-feed
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-faces hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-faces
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-eshell hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-eshell
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-entities hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-entities
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-element hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-element
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-docview hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-docview
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-datetree hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-datetree
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-ctags hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-ctags
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-crypt hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-crypt
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-compat hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-compat
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-colview hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-colview
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-clock hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-clock
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-capture hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-capture
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-bibtex hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-bibtex
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-bbdb hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-bbdb
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-attach hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-attach
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-archive hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-archive
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-agenda hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-agenda
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-tangle hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-tangle
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-table hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-table
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-sqlite hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-sqlite
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-sql hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-sql
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-shen hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-shen
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-screen hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-screen
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-scheme hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-scheme
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-scala hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-scala
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-sass hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-sass
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-w3m hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-w3m
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-loaddefs hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-loaddefs
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-ruby hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-ruby
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-ref hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-ref
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-python hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-python
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-plantuml hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-plantuml
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-picolisp hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-picolisp
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-perl hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-perl
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-org hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-org
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-octave hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-octave
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-ocaml hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-ocaml
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-mscgen hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-mscgen
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-maxima hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-maxima
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-matlab hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-matlab
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-makefile hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-makefile
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-lob hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-lob
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-lisp hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-lisp
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-lilypond hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-lilypond
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-ledger hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-ledger
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-latex hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-latex
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-keys hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-keys
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-js hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-js
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-java hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-java
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-io hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-io
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-haskell hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-haskell
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-gnuplot hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-gnuplot
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-fortran hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-fortran
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-exp hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-exp
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-eval hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-eval
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-emacs-lisp hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-emacs-lisp
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-dot hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-dot
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-ditaa hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-ditaa
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-css hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-css
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-core hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-core
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-comint hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-comint
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-clojure hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-clojure
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-calc hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-calc
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-awk hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-awk
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-asymptote hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-asymptote
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-R hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-R
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-version hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-version
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-C hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-C
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-install hides
/home/kmodi/.emacs.d/from-git/org-mode/lisp/org-install
/home/kmodi/.emacs.d/elpa/htmlize-20130207.1202/htmlize hides
/home/kmodi/.emacs.d/from-git/org-mode/contrib/lisp/htmlize

Features:
(shadow sort mail-extr emacsbug sendmail tramp-cache tramp tramp-compat
tramp-loaddefs trampver mm-archive network-stream starttls url-http tls
url-gw url-cache url-auth url url-proxy url-privacy url-expand
url-methods url-history url-cookie url-domsuf url-util mailcap
url-handlers epg finder-inf thumbs eimp imagemagick debug wgrep-ag wgrep
two-column iso-transl multiple-cursors mc-hide-unmatched-lines-mode
mc-separate-operations rectangular-region-mode mc-mark-pop mc-mark-more
mc-cycle-cursors mc-edit-lines eieio-opt speedbar sb-image ezimage
dframe align web-mode-expansions web-mode html-mode-expansions sgml-mode
htmlize texmathp misearch multi-isearch ffap time-stamp preview
prv-emacs tex-buf font-latex latex-mode-expansions latex tex-style tex
dbus tex-mode latexenc tabify org-table org-agenda multiple-cursors-core
rect eldoc cc-langs cc-mode-expansions cc-mode cc-fonts cc-guess
cc-menus cc-styles cc-align matlab gud tempo cperl-mode-expansions
cperl-mode ggtags ewoc verilog-mode skeleton sh-script smie executable
vc-git disp-table org-rmail org-mhe org-irc org-info org-gnus
org-docview doc-view image-mode org-bibtex bibtex org-bbdb org-w3m
dired+ image-dired image-file bookmark+ bookmark+-key bookmark+-1
bookmark+-bmu bookmark+-lit bookmark pp dired-x dired-aux dired-single
flyspell ispell swoop swoop-edit swoop-lib ht pcre2el rxt re-builder
async indent-guide yaml-mode matlab-load python-mode-expansions
python-mode flymake shell cc-cmds cc-engine cc-vars cc-defs yasnippet
yafolding wrap-region stripe-buffer recentf tree-widget smart-compile
rainbow-delimiters projectile ibuf-macs pcase ibuf-ext ibuffer pkg-info
lisp-mnt epl page-break-lines ox-reveal number iregister ido-ubiquitous
warnings ido-vertical-mode flx-ido flx hungry-delete hl-line+ hl-line
auto-highlight-symbol volatile-highlights highlight-global hardcore-mode
guide-key face-remap expand-region text-mode-expansions
the-org-mode-expansions er-basic-expansions expand-region-core
expand-region-custom elisp-slime-nav help-mode etags elfeed-show message
rfc822 mml mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
rfc2047 rfc2045 ietf-drums mailabbrev mail-utils gmm-utils mailheader
shr elfeed-db elfeed-lib avl-tree elfeed-search wid-edit browse-url
elfeed url-parse auth-source eieio eieio-core gnus-util mm-util
mail-prsvr password-cache url-vars xml-query xml drag-stuff
discover-my-major makey buffer-move windmove auto-complete-config
auto-complete popup ag vc-svn s ucs-normalize dired
fill-column-indicator smart-mode-line-dark-theme zenburn-theme
smart-mode-line-respectful-theme smart-mode-line mule-util rich-minority
popwin iy-go-to-char undo-tree diff smex ido visual-regexp anzu
thingatpt region-bindings-mode setup-misc setup-desktop desktop frameset
setup-spell setup-gtags setup-print setup-search grep compile rx
setup-navigation setup-registers setup-windows-buffers winner
setup-editing setup-spice setup-latex setup-yaml-mode setup-web-mode
setup-markdown setup-matlab setup-python setup-perl setup-verilog
setup-yasnippet setup-yafolding setup-xkcd setup-wrap-region setup-w3m
setup-undo-tree setup-stripe-buffer setup-smex setup-smart-compile
setup-server server setup-rainbow-mode setup-rainbow-delimiters
setup-projectile setup-poporg setup-page-break-lines setup-org ox-latex
ox-icalendar ox-html ox-ascii ox-publish ox org-element ob-dot ob-latex
ob-plantuml ob-ditaa org org-macro org-footnote org-pcomplete pcomplete
org-list org-faces org-entities noutline outline org-version
ob-emacs-lisp ob ob-tangle ob-ref ob-lob ob-table ob-exp org-src ob-keys
ob-comint comint ansi-color ring ob-core ob-eval org-compat org-macs
org-loaddefs format-spec find-func cal-menu calendar cal-loaddefs
setup-number setup-multiple-cursors setup-manage-minor-mode
manage-minor-mode setup-magit setup-iregister setup-ido
setup-hungry-delete setup-hl-line+ setup-highlight setup-header2
setup-hardcore setup-guide-key setup-fci setup-expand-region
setup-elisp-slime-nav setup-elfeed setup-drag-stuff
setup-discover-my-major setup-dired setup-buffer-move setup-bookmark+
setup-auto-complete setup-ag setup-ace-window setup-ace-jump-mode
setup-visual whitespace generic setup-smart-mode-line setup-popwin
adice-mode derived setup-sos defuns key-chord temp-mode modi-mode
byte-opt setup-key-chord setup-region-bindings-mode setup-secret
req-package view log4e dash use-package diminish bytecomp byte-compile
cconv bind-key easy-mmode benchmark-init setup-packages
ace-jump-zap-autoloads ace-window-autoloads ace-window ace-jump-mode
advice ace-jump-mode-autoloads anzu-autoloads auctex-autoloads tex-site
auto-complete-autoloads benchmark-init-autoloads bookmark+-autoloads
buffer-move-autoloads cperl-mode-autoloads csv-nav-autoloads
dired+-autoloads dired-single-autoloads discover-my-major-autoloads
drag-stuff-autoloads eimp-autoloads elfeed-autoloads
elisp-slime-nav-autoloads epic-autoloads expand-region-autoloads
f-autoloads fill-column-indicator-autoloads fiplr-autoloads
flx-ido-autoloads flx-autoloads fringe-helper-autoloads fuzzy-autoloads
ggtags-autoloads goto-chg-autoloads grizzl-autoloads guide-key-autoloads
hardcore-mode-autoloads header2-autoloads hl-line+-autoloads
htmlize-autoloads hungry-delete-autoloads ido-ubiquitous-autoloads
ido-vertical-mode-autoloads indent-guide-autoloads iregister-autoloads
iy-go-to-char-autoloads key-chord-autoloads leuven-theme-autoloads
magit-autoloads git-rebase-mode-autoloads git-commit-mode-autoloads
makey-autoloads manage-minor-mode-autoloads markdown-mode-autoloads
matlab-mode-autoloads multiple-cursors-autoloads
mwe-log-commands-autoloads nav-flash-autoloads nlinum-autoloads
number-autoloads ox-reveal-autoloads org-autoloads
page-break-lines-autoloads poporg-autoloads popup-autoloads
popwin-autoloads pkg-info-autoloads epl-autoloads python-mode-autoloads
rainbow-mode-autoloads region-bindings-mode-autoloads
req-package-autoloads log4e-autoloads s-autoloads
smart-compile-autoloads smart-mode-line-autoloads
rich-minority-autoloads smartrep-autoloads smex-autoloads
stripe-buffer-autoloads async-autoloads pcre2el-autoloads ht-autoloads
ucs-utils-autoloads persistent-soft-autoloads list-utils-autoloads
help-fns cl-macs pcache-autoloads undo-tree-autoloads
use-package-autoloads diminish-autoloads bind-key-autoloads
visual-regexp-autoloads volatile-highlights-autoloads info easymenu
w3m-autoloads wgrep-ag-autoloads wgrep-autoloads wrap-region-autoloads
dash-autoloads xkcd-autoloads yafolding-autoloads edmacro kmacro
yaml-mode-autoloads package epg-config cl gv cl-loaddefs cl-lib
time-date saveplace jka-compr which-func imenu paren hi-lock time delsel
cus-start cus-load tooltip electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image regexp-opt
fringe tabulated-list newcomment lisp-mode prog-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
gfilenotify dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty emacs)

Memory information:
((conses 16 2483397 386102)
 (symbols 48 67092 55)
 (miscs 40 9562 4331)
 (strings 32 733969 31142)
 (string-bytes 1 10474088)
 (vectors 16 249191)
 (vector-slots 8 8221365 101246)
 (floats 8 50452 3320)
 (intervals 56 24478 4182)
 (buffers 960 259)
 (heap 1024 302181 32572))


--
Kaushal Modi

--089e0160cf386044030506061664
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_default"><div class=3D"gmail_default">=
<font face=3D"trebuchet ms, sans-serif">Hi,</font></div><div class=3D"gmail=
_default"><font face=3D"trebuchet ms, sans-serif"><br></font></div><div cla=
ss=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">I have compile=
d emacs with Imagemagick (the config.log file is attached).</font></div><di=
v class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif"><br></fon=
t></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif=
">But &quot;M-x image-transform-set-scale&quot; is not working for me. The =
image scale stays the same when I set the scale to 0.5. I tested it with bo=
t png and jpg images.</font></div><div class=3D"gmail_default"><font face=
=3D"trebuchet ms, sans-serif"><br></font></div><div class=3D"gmail_default"=
><font face=3D"trebuchet ms, sans-serif">But the eimp package is working fi=
ne (which uses mogrify from Imagemagick).</font></div><div class=3D"gmail_d=
efault"><font face=3D"trebuchet ms, sans-serif"><br></font></div><div class=
=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">When an image is=
 open in a buffer, evaluating &quot;(eq image-type &#39;imagemagick)&quot; =
returns &quot;nil&quot;.</font></div><div class=3D"gmail_default"><font fac=
e=3D"trebuchet ms, sans-serif"><br></font></div><div class=3D"gmail_default=
"><font face=3D"trebuchet ms, sans-serif">What am I missing in enabling the=
 imagemagick detection for functions like image-transform-set-scale?</font>=
</div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">=
<br></font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, s=
ans-serif">Thanks.</font></div><div class=3D"gmail_default"><span style=3D"=
font-family:&#39;trebuchet ms&#39;,sans-serif"><br></span></div><div class=
=3D"gmail_default"><span style=3D"font-family:&#39;trebuchet ms&#39;,sans-s=
erif">In GNU Emacs 24.4.8 (x86_64-unknown-linux-gnu, GTK+ Version 2.10.4)</=
span><br></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, san=
s-serif">=A0of 2014-10-19 on ...</font></div><div class=3D"gmail_default"><=
font face=3D"trebuchet ms, sans-serif">Windowing system distributor `The X.=
Org Foundation&#39;, version 11.0.60900000</font></div><div class=3D"gmail_=
default"><font face=3D"trebuchet ms, sans-serif">System Description:<span s=
tyle=3D"white-space:pre-wrap">	</span>Red Hat Enterprise Linux Client relea=
se 5.10 (Tikanga)</font></div><div class=3D"gmail_default"><font face=3D"tr=
ebuchet ms, sans-serif"><br></font></div><div class=3D"gmail_default"><font=
 face=3D"trebuchet ms, sans-serif">Configured using:</font></div><div class=
=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">=A0`configure --=
prefix=3D/home/kmodi/usr_local2</font></div><div class=3D"gmail_default"><f=
ont face=3D"trebuchet ms, sans-serif">=A0--exec-prefix=3D/home/kmodi/usr_lo=
cal2/bin/emacs-24.4-gtk</font></div><div class=3D"gmail_default"><font face=
=3D"trebuchet ms, sans-serif">=A0CPPFLAGS=3D-fgnu89-inline&#39;</font></div=
><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif"><br><=
/font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-s=
erif">Important settings:</font></div><div class=3D"gmail_default"><font fa=
ce=3D"trebuchet ms, sans-serif">=A0 value of $LANG: en_US.UTF-8</font></div=
><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">=A0 v=
alue of $XMODIFIERS: @im=3Dnone</font></div><div class=3D"gmail_default"><f=
ont face=3D"trebuchet ms, sans-serif">=A0 locale-coding-system: utf-8-unix<=
/font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-s=
erif"><br></font></div><div class=3D"gmail_default"><font face=3D"trebuchet=
 ms, sans-serif">Major mode: Verilog</font></div><div class=3D"gmail_defaul=
t"><font face=3D"trebuchet ms, sans-serif"><br></font></div><div class=3D"g=
mail_default"><font face=3D"trebuchet ms, sans-serif">Minor modes in effect=
:</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans=
-serif">=A0 TeX-PDF-mode: t</font></div><div class=3D"gmail_default"><font =
face=3D"trebuchet ms, sans-serif">=A0 ggtags-mode: t</font></div><div class=
=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">=A0 flyspell-mod=
e: t</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, s=
ans-serif">=A0 shell-dirtrack-mode: t</font></div><div class=3D"gmail_defau=
lt"><font face=3D"trebuchet ms, sans-serif">=A0 yas-minor-mode: t</font></d=
iv><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">=A0=
 yafolding-mode: t</font></div><div class=3D"gmail_default"><font face=3D"t=
rebuchet ms, sans-serif">=A0 recentf-mode: t</font></div><div class=3D"gmai=
l_default"><font face=3D"trebuchet ms, sans-serif">=A0 rainbow-delimiters-m=
ode: t</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms,=
 sans-serif">=A0 projectile-global-mode: t</font></div><div class=3D"gmail_=
default"><font face=3D"trebuchet ms, sans-serif">=A0 projectile-mode: t</fo=
nt></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-seri=
f">=A0 global-page-break-lines-mode: t</font></div><div class=3D"gmail_defa=
ult"><font face=3D"trebuchet ms, sans-serif">=A0 ido-ubiquitous-mode: t</fo=
nt></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-seri=
f">=A0 ido-vertical-mode: t</font></div><div class=3D"gmail_default"><font =
face=3D"trebuchet ms, sans-serif">=A0 flx-ido-mode: t</font></div><div clas=
s=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">=A0 global-hung=
ry-delete-mode: t</font></div><div class=3D"gmail_default"><font face=3D"tr=
ebuchet ms, sans-serif">=A0 hungry-delete-mode: t</font></div><div class=3D=
"gmail_default"><font face=3D"trebuchet ms, sans-serif">=A0 volatile-highli=
ghts-mode: t</font></div><div class=3D"gmail_default"><font face=3D"trebuch=
et ms, sans-serif">=A0 global-hardcore-mode: t</font></div><div class=3D"gm=
ail_default"><font face=3D"trebuchet ms, sans-serif">=A0 hardcore-mode: t</=
font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-se=
rif">=A0 guide-key-mode: t</font></div><div class=3D"gmail_default"><font f=
ace=3D"trebuchet ms, sans-serif">=A0 drag-stuff-global-mode: t</font></div>=
<div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">=A0 gl=
obal-auto-complete-mode: t</font></div><div class=3D"gmail_default"><font f=
ace=3D"trebuchet ms, sans-serif">=A0 auto-complete-mode: t</font></div><div=
 class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">=A0 fci-mo=
de: t</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, =
sans-serif">=A0 popwin-mode: t</font></div><div class=3D"gmail_default"><fo=
nt face=3D"trebuchet ms, sans-serif">=A0 global-undo-tree-mode: t</font></d=
iv><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">=A0=
 undo-tree-mode: t</font></div><div class=3D"gmail_default"><font face=3D"t=
rebuchet ms, sans-serif">=A0 ido-everywhere: t</font></div><div class=3D"gm=
ail_default"><font face=3D"trebuchet ms, sans-serif">=A0 global-anzu-mode: =
t</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans=
-serif">=A0 anzu-mode: t</font></div><div class=3D"gmail_default"><font fac=
e=3D"trebuchet ms, sans-serif">=A0 desktop-save-mode: t</font></div><div cl=
ass=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">=A0 winner-mo=
de: t</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, =
sans-serif">=A0 global-modi-mode: t</font></div><div class=3D"gmail_default=
"><font face=3D"trebuchet ms, sans-serif">=A0 modi-mode: t</font></div><div=
 class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">=A0 overri=
de-global-mode: t</font></div><div class=3D"gmail_default"><font face=3D"tr=
ebuchet ms, sans-serif">=A0 show-paren-mode: t</font></div><div class=3D"gm=
ail_default"><font face=3D"trebuchet ms, sans-serif">=A0 global-hi-lock-mod=
e: t</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, s=
ans-serif">=A0 hi-lock-mode: t</font></div><div class=3D"gmail_default"><fo=
nt face=3D"trebuchet ms, sans-serif">=A0 display-time-mode: t</font></div><=
div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">=A0 del=
ete-selection-mode: t</font></div><div class=3D"gmail_default"><font face=
=3D"trebuchet ms, sans-serif">=A0 electric-indent-mode: t</font></div><div =
class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">=A0 mouse-w=
heel-mode: t</font></div><div class=3D"gmail_default"><font face=3D"trebuch=
et ms, sans-serif">=A0 menu-bar-mode: t</font></div><div class=3D"gmail_def=
ault"><font face=3D"trebuchet ms, sans-serif">=A0 file-name-shadow-mode: t<=
/font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-s=
erif">=A0 global-font-lock-mode: t</font></div><div class=3D"gmail_default"=
><font face=3D"trebuchet ms, sans-serif">=A0 font-lock-mode: t</font></div>=
<div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">=A0 au=
to-composition-mode: t</font></div><div class=3D"gmail_default"><font face=
=3D"trebuchet ms, sans-serif">=A0 auto-encryption-mode: t</font></div><div =
class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">=A0 auto-co=
mpression-mode: t</font></div><div class=3D"gmail_default"><font face=3D"tr=
ebuchet ms, sans-serif">=A0 buffer-read-only: t</font></div><div class=3D"g=
mail_default"><font face=3D"trebuchet ms, sans-serif">=A0 column-number-mod=
e: t</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, s=
ans-serif">=A0 line-number-mode: t</font></div><div class=3D"gmail_default"=
><font face=3D"trebuchet ms, sans-serif">=A0 transient-mark-mode: t</font><=
/div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif"><=
br></font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sa=
ns-serif">Recent input:</font></div><div class=3D"gmail_default"><font face=
=3D"trebuchet ms, sans-serif">&lt;down-mouse-4&gt; &lt;mouse-4&gt; &lt;doub=
le-down-mouse-4&gt; &lt;double-mouse-4&gt;=A0</font></div><div class=3D"gma=
il_default"><font face=3D"trebuchet ms, sans-serif">&lt;triple-down-mouse-4=
&gt; &lt;triple-mouse-4&gt; &lt;triple-down-mouse-4&gt;=A0</font></div><div=
 class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">&lt;triple=
-mouse-4&gt; &lt;triple-down-mouse-4&gt; &lt;triple-mouse-4&gt;=A0</font></=
div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">&l=
t;down-mouse-5&gt; &lt;mouse-5&gt; &lt;down-mouse-4&gt; &lt;mouse-4&gt; &lt=
;double-down-mouse-4&gt;=A0</font></div><div class=3D"gmail_default"><font =
face=3D"trebuchet ms, sans-serif">&lt;double-mouse-4&gt; &lt;triple-down-mo=
use-4&gt; &lt;triple-mouse-4&gt;=A0</font></div><div class=3D"gmail_default=
"><font face=3D"trebuchet ms, sans-serif">&lt;down-mouse-4&gt; &lt;mouse-4&=
gt; &lt;double-down-mouse-4&gt; &lt;double-mouse-4&gt;=A0</font></div><div =
class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">&lt;down-mo=
use-1&gt; &lt;mouse-1&gt; &lt;help-echo&gt; &lt;down-mouse-1&gt;=A0</font><=
/div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">&=
lt;mouse-1&gt; C-x b a d c s e q l i C-n &lt;return&gt; &lt;down-mouse-5&gt=
;=A0</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, s=
ans-serif">&lt;mouse-5&gt; &lt;down-mouse-5&gt; &lt;mouse-5&gt; &lt;double-=
down-mouse-5&gt;=A0</font></div><div class=3D"gmail_default"><font face=3D"=
trebuchet ms, sans-serif">&lt;double-mouse-5&gt; &lt;down-mouse-5&gt; &lt;m=
ouse-5&gt; &lt;down-mouse-5&gt;=A0</font></div><div class=3D"gmail_default"=
><font face=3D"trebuchet ms, sans-serif">&lt;mouse-5&gt; &lt;down-mouse-5&g=
t; &lt;mouse-5&gt; &lt;down-mouse-4&gt; &lt;mouse-4&gt;=A0</font></div><div=
 class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">&lt;double=
-down-mouse-4&gt; &lt;double-mouse-4&gt; &lt;triple-down-mouse-4&gt;=A0</fo=
nt></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-seri=
f">&lt;triple-mouse-4&gt; &lt;triple-down-mouse-4&gt; &lt;triple-mouse-4&gt=
;=A0</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, s=
ans-serif">&lt;triple-down-mouse-4&gt; &lt;triple-mouse-4&gt; &lt;triple-do=
wn-mouse-4&gt;=A0</font></div><div class=3D"gmail_default"><font face=3D"tr=
ebuchet ms, sans-serif">&lt;triple-mouse-4&gt; &lt;triple-down-mouse-4&gt; =
&lt;triple-mouse-4&gt;=A0</font></div><div class=3D"gmail_default"><font fa=
ce=3D"trebuchet ms, sans-serif">&lt;triple-down-mouse-4&gt; &lt;triple-mous=
e-4&gt; &lt;triple-down-mouse-4&gt;=A0</font></div><div class=3D"gmail_defa=
ult"><font face=3D"trebuchet ms, sans-serif">&lt;triple-mouse-4&gt; &lt;tri=
ple-down-mouse-4&gt; &lt;triple-mouse-4&gt;=A0</font></div><div class=3D"gm=
ail_default"><font face=3D"trebuchet ms, sans-serif">&lt;triple-down-mouse-=
4&gt; &lt;triple-mouse-4&gt; &lt;triple-down-mouse-4&gt;=A0</font></div><di=
v class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">&lt;tripl=
e-mouse-4&gt; &lt;triple-down-mouse-4&gt; &lt;triple-mouse-4&gt;=A0</font><=
/div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">&=
lt;triple-down-mouse-4&gt; &lt;triple-mouse-4&gt; &lt;triple-down-mouse-4&g=
t;=A0</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, =
sans-serif">&lt;triple-mouse-4&gt; &lt;triple-down-mouse-4&gt; &lt;triple-m=
ouse-4&gt;=A0</font></div><div class=3D"gmail_default"><font face=3D"trebuc=
het ms, sans-serif">&lt;triple-down-mouse-4&gt; &lt;triple-mouse-4&gt; &lt;=
triple-down-mouse-4&gt;=A0</font></div><div class=3D"gmail_default"><font f=
ace=3D"trebuchet ms, sans-serif">&lt;triple-mouse-4&gt; &lt;triple-down-mou=
se-4&gt; &lt;triple-mouse-4&gt;=A0</font></div><div class=3D"gmail_default"=
><font face=3D"trebuchet ms, sans-serif">&lt;triple-down-mouse-4&gt; &lt;tr=
iple-mouse-4&gt; &lt;triple-down-mouse-4&gt;=A0</font></div><div class=3D"g=
mail_default"><font face=3D"trebuchet ms, sans-serif">&lt;triple-mouse-4&gt=
; &lt;triple-down-mouse-4&gt; &lt;triple-mouse-4&gt;=A0</font></div><div cl=
ass=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">&lt;triple-do=
wn-mouse-4&gt; &lt;triple-mouse-4&gt; &lt;triple-down-mouse-4&gt;=A0</font>=
</div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">=
&lt;triple-mouse-4&gt; &lt;triple-down-mouse-4&gt; &lt;triple-mouse-4&gt;=
=A0</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sa=
ns-serif">&lt;triple-down-mouse-4&gt; &lt;triple-mouse-4&gt; &lt;triple-dow=
n-mouse-4&gt;=A0</font></div><div class=3D"gmail_default"><font face=3D"tre=
buchet ms, sans-serif">&lt;triple-mouse-4&gt; &lt;triple-down-mouse-4&gt; &=
lt;triple-mouse-4&gt;=A0</font></div><div class=3D"gmail_default"><font fac=
e=3D"trebuchet ms, sans-serif">&lt;triple-down-mouse-4&gt; &lt;triple-mouse=
-4&gt; &lt;triple-down-mouse-4&gt;=A0</font></div><div class=3D"gmail_defau=
lt"><font face=3D"trebuchet ms, sans-serif">&lt;triple-mouse-4&gt; &lt;trip=
le-down-mouse-4&gt; &lt;triple-mouse-4&gt;=A0</font></div><div class=3D"gma=
il_default"><font face=3D"trebuchet ms, sans-serif">&lt;triple-down-mouse-4=
&gt; &lt;triple-mouse-4&gt; &lt;triple-down-mouse-4&gt;=A0</font></div><div=
 class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">&lt;triple=
-mouse-4&gt; &lt;triple-down-mouse-4&gt; &lt;triple-mouse-4&gt;=A0</font></=
div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">&l=
t;triple-down-mouse-4&gt; &lt;triple-mouse-4&gt; &lt;triple-down-mouse-4&gt=
;=A0</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, s=
ans-serif">&lt;triple-mouse-4&gt; &lt;triple-down-mouse-4&gt; &lt;triple-mo=
use-4&gt;=A0</font></div><div class=3D"gmail_default"><font face=3D"trebuch=
et ms, sans-serif">&lt;triple-down-mouse-4&gt; &lt;triple-mouse-4&gt; &lt;t=
riple-down-mouse-4&gt;=A0</font></div><div class=3D"gmail_default"><font fa=
ce=3D"trebuchet ms, sans-serif">&lt;triple-mouse-4&gt; &lt;triple-down-mous=
e-4&gt; &lt;triple-mouse-4&gt;=A0</font></div><div class=3D"gmail_default">=
<font face=3D"trebuchet ms, sans-serif">&lt;triple-down-mouse-4&gt; &lt;tri=
ple-mouse-4&gt; &lt;triple-down-mouse-4&gt;=A0</font></div><div class=3D"gm=
ail_default"><font face=3D"trebuchet ms, sans-serif">&lt;triple-mouse-4&gt;=
 &lt;triple-down-mouse-4&gt; &lt;triple-mouse-4&gt;=A0</font></div><div cla=
ss=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">&lt;triple-dow=
n-mouse-4&gt; &lt;triple-mouse-4&gt; &lt;triple-down-mouse-4&gt;=A0</font><=
/div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">&=
lt;triple-mouse-4&gt; &lt;triple-down-mouse-4&gt; &lt;triple-mouse-4&gt;=A0=
</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-=
serif">&lt;triple-down-mouse-4&gt; &lt;triple-mouse-4&gt; &lt;triple-down-m=
ouse-4&gt;=A0</font></div><div class=3D"gmail_default"><font face=3D"trebuc=
het ms, sans-serif">&lt;triple-mouse-4&gt; &lt;triple-down-mouse-4&gt; &lt;=
triple-mouse-4&gt;=A0</font></div><div class=3D"gmail_default"><font face=
=3D"trebuchet ms, sans-serif">&lt;triple-down-mouse-4&gt; &lt;triple-mouse-=
4&gt; &lt;triple-down-mouse-4&gt;=A0</font></div><div class=3D"gmail_defaul=
t"><font face=3D"trebuchet ms, sans-serif">&lt;triple-mouse-4&gt; &lt;tripl=
e-down-mouse-4&gt; &lt;triple-mouse-4&gt;=A0</font></div><div class=3D"gmai=
l_default"><font face=3D"trebuchet ms, sans-serif">&lt;triple-down-mouse-4&=
gt; &lt;triple-mouse-4&gt; &lt;down-mouse-4&gt;=A0</font></div><div class=
=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">&lt;mouse-4&gt; =
&lt;double-down-mouse-4&gt; &lt;double-mouse-4&gt; &lt;triple-down-mouse-4&=
gt;=A0</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms,=
 sans-serif">&lt;triple-mouse-4&gt; &lt;triple-down-mouse-4&gt; &lt;triple-=
mouse-4&gt;=A0</font></div><div class=3D"gmail_default"><font face=3D"trebu=
chet ms, sans-serif">&lt;triple-down-mouse-4&gt; &lt;triple-mouse-4&gt; &lt=
;triple-down-mouse-4&gt;=A0</font></div><div class=3D"gmail_default"><font =
face=3D"trebuchet ms, sans-serif">&lt;triple-mouse-4&gt; &lt;triple-down-mo=
use-4&gt; &lt;triple-mouse-4&gt;=A0</font></div><div class=3D"gmail_default=
"><font face=3D"trebuchet ms, sans-serif">&lt;triple-down-mouse-4&gt; &lt;t=
riple-mouse-4&gt; &lt;triple-down-mouse-4&gt;=A0</font></div><div class=3D"=
gmail_default"><font face=3D"trebuchet ms, sans-serif">&lt;triple-mouse-4&g=
t; &lt;triple-down-mouse-4&gt; &lt;triple-mouse-4&gt;=A0</font></div><div c=
lass=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">&lt;triple-d=
own-mouse-4&gt; &lt;triple-mouse-4&gt; &lt;triple-down-mouse-4&gt;=A0</font=
></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif"=
>&lt;triple-mouse-4&gt; &lt;triple-down-mouse-4&gt; &lt;triple-mouse-4&gt;=
=A0</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sa=
ns-serif">&lt;triple-down-mouse-4&gt; &lt;triple-mouse-4&gt; &lt;triple-dow=
n-mouse-4&gt;=A0</font></div><div class=3D"gmail_default"><font face=3D"tre=
buchet ms, sans-serif">&lt;triple-mouse-4&gt; &lt;triple-down-mouse-4&gt; &=
lt;triple-mouse-4&gt;=A0</font></div><div class=3D"gmail_default"><font fac=
e=3D"trebuchet ms, sans-serif">&lt;triple-down-mouse-4&gt; &lt;triple-mouse=
-4&gt; &lt;triple-down-mouse-4&gt;=A0</font></div><div class=3D"gmail_defau=
lt"><font face=3D"trebuchet ms, sans-serif">&lt;triple-mouse-4&gt; &lt;trip=
le-down-mouse-4&gt; &lt;triple-mouse-4&gt;=A0</font></div><div class=3D"gma=
il_default"><font face=3D"trebuchet ms, sans-serif">&lt;triple-down-mouse-4=
&gt; &lt;triple-mouse-4&gt; &lt;triple-down-mouse-4&gt;=A0</font></div><div=
 class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">&lt;triple=
-mouse-4&gt; &lt;down-mouse-4&gt; &lt;mouse-4&gt; &lt;double-down-mouse-4&g=
t;=A0</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, =
sans-serif">&lt;double-mouse-4&gt; &lt;triple-down-mouse-4&gt; &lt;triple-m=
ouse-4&gt;=A0</font></div><div class=3D"gmail_default"><font face=3D"trebuc=
het ms, sans-serif">&lt;triple-down-mouse-4&gt; &lt;triple-mouse-4&gt; &lt;=
triple-down-mouse-4&gt;=A0</font></div><div class=3D"gmail_default"><font f=
ace=3D"trebuchet ms, sans-serif">&lt;triple-mouse-4&gt; &lt;triple-down-mou=
se-4&gt; &lt;triple-mouse-4&gt;=A0</font></div><div class=3D"gmail_default"=
><font face=3D"trebuchet ms, sans-serif">&lt;triple-down-mouse-4&gt; &lt;tr=
iple-mouse-4&gt; &lt;triple-down-mouse-4&gt;=A0</font></div><div class=3D"g=
mail_default"><font face=3D"trebuchet ms, sans-serif">&lt;triple-mouse-4&gt=
; &lt;triple-down-mouse-4&gt; &lt;triple-mouse-4&gt;=A0</font></div><div cl=
ass=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">&lt;down-mous=
e-5&gt; &lt;mouse-5&gt; &lt;double-down-mouse-5&gt; &lt;double-mouse-5&gt;=
=A0</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sa=
ns-serif">&lt;triple-down-mouse-5&gt; &lt;triple-mouse-5&gt; &lt;triple-dow=
n-mouse-5&gt;=A0</font></div><div class=3D"gmail_default"><font face=3D"tre=
buchet ms, sans-serif">&lt;triple-mouse-5&gt; &lt;triple-down-mouse-5&gt; &=
lt;triple-mouse-5&gt;=A0</font></div><div class=3D"gmail_default"><font fac=
e=3D"trebuchet ms, sans-serif">&lt;triple-down-mouse-5&gt; &lt;triple-mouse=
-5&gt; &lt;triple-down-mouse-5&gt;=A0</font></div><div class=3D"gmail_defau=
lt"><font face=3D"trebuchet ms, sans-serif">&lt;triple-mouse-5&gt; &lt;trip=
le-down-mouse-5&gt; &lt;triple-mouse-5&gt;=A0</font></div><div class=3D"gma=
il_default"><font face=3D"trebuchet ms, sans-serif">&lt;triple-down-mouse-5=
&gt; &lt;triple-mouse-5&gt; &lt;triple-down-mouse-5&gt;=A0</font></div><div=
 class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">&lt;triple=
-mouse-5&gt; &lt;triple-down-mouse-5&gt; &lt;triple-mouse-5&gt;=A0</font></=
div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">&l=
t;triple-down-mouse-5&gt; &lt;triple-mouse-5&gt; &lt;triple-down-mouse-5&gt=
;=A0</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, s=
ans-serif">&lt;triple-mouse-5&gt; &lt;triple-down-mouse-5&gt; &lt;triple-mo=
use-5&gt;=A0</font></div><div class=3D"gmail_default"><font face=3D"trebuch=
et ms, sans-serif">&lt;triple-down-mouse-5&gt; &lt;triple-mouse-5&gt; &lt;t=
riple-down-mouse-5&gt;=A0</font></div><div class=3D"gmail_default"><font fa=
ce=3D"trebuchet ms, sans-serif">&lt;triple-mouse-5&gt; &lt;triple-down-mous=
e-5&gt; &lt;triple-mouse-5&gt;=A0</font></div><div class=3D"gmail_default">=
<font face=3D"trebuchet ms, sans-serif">&lt;triple-down-mouse-5&gt; &lt;tri=
ple-mouse-5&gt; &lt;triple-down-mouse-5&gt;=A0</font></div><div class=3D"gm=
ail_default"><font face=3D"trebuchet ms, sans-serif">&lt;triple-mouse-5&gt;=
 &lt;triple-down-mouse-5&gt; &lt;triple-mouse-5&gt;=A0</font></div><div cla=
ss=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">&lt;triple-dow=
n-mouse-5&gt; &lt;triple-mouse-5&gt; &lt;triple-down-mouse-5&gt;=A0</font><=
/div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">&=
lt;triple-mouse-5&gt; &lt;down-mouse-5&gt; &lt;mouse-5&gt; &lt;double-down-=
mouse-5&gt;=A0</font></div><div class=3D"gmail_default"><font face=3D"trebu=
chet ms, sans-serif">&lt;double-mouse-5&gt; &lt;triple-down-mouse-5&gt; &lt=
;triple-mouse-5&gt;=A0</font></div><div class=3D"gmail_default"><font face=
=3D"trebuchet ms, sans-serif">&lt;triple-down-mouse-5&gt; &lt;triple-mouse-=
5&gt; &lt;triple-down-mouse-5&gt;=A0</font></div><div class=3D"gmail_defaul=
t"><font face=3D"trebuchet ms, sans-serif">&lt;triple-mouse-5&gt; &lt;tripl=
e-down-mouse-5&gt; &lt;triple-mouse-5&gt;=A0</font></div><div class=3D"gmai=
l_default"><font face=3D"trebuchet ms, sans-serif">&lt;down-mouse-5&gt; &lt=
;mouse-5&gt; &lt;double-down-mouse-5&gt; &lt;double-mouse-5&gt;=A0</font></=
div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">&l=
t;down-mouse-1&gt; &lt;mouse-1&gt; &lt;help-echo&gt; &lt;down-mouse-1&gt;=
=A0</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sa=
ns-serif">&lt;mouse-1&gt; ; &#39; e m a g b u g &lt;backspace&gt; &lt;backs=
pace&gt;=A0</font></div><div class=3D"gmail_default"><font face=3D"trebuche=
t ms, sans-serif">&lt;backspace&gt; &lt;backspace&gt; b u g C-n &lt;return&=
gt;</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sa=
ns-serif"><br></font></div><div class=3D"gmail_default"><font face=3D"trebu=
chet ms, sans-serif">Recent messages:</font></div><div class=3D"gmail_defau=
lt"><font face=3D"trebuchet ms, sans-serif"><br></font></div><div class=3D"=
gmail_default"><font face=3D"trebuchet ms, sans-serif">*Dired* downloads/: =
418269719_05a6730c49_b.jpg ():=A0</font></div><div class=3D"gmail_default">=
<font face=3D"trebuchet ms, sans-serif"><br></font></div><div class=3D"gmai=
l_default"><font face=3D"trebuchet ms, sans-serif">*Dired* downloads/: Clip=
board01.png ():=A0</font></div><div class=3D"gmail_default"><font face=3D"t=
rebuchet ms, sans-serif"><br></font></div><div class=3D"gmail_default"><fon=
t face=3D"trebuchet ms, sans-serif">*Dired* downloads/: Clipboard02.png ():=
=A0</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sa=
ns-serif">image-dired-display-image-mode enabled</font></div><div class=3D"=
gmail_default"><font face=3D"trebuchet ms, sans-serif">Buffer is read-only:=
 #&lt;buffer *image-dired-display-image*&gt; [2 times]</font></div><div cla=
ss=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">Full size imag=
e displayed [3 times]</font></div><div class=3D"gmail_default"><font face=
=3D"trebuchet ms, sans-serif">Type C-c C-c to view the image as text.</font=
></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif"=
>byte-code: Beginning of buffer [2 times]</font></div><div class=3D"gmail_d=
efault"><font face=3D"trebuchet ms, sans-serif"><br></font></div><div class=
=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">Load-path shadow=
s:</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, san=
s-serif">/home/kmodi/.emacs.d/custom hides /home/kmodi/usr_local2/share/ema=
cs/24.4/lisp/custom</font></div><div class=3D"gmail_default"><font face=3D"=
trebuchet ms, sans-serif">/home/kmodi/.emacs.d/verilog-mode hides /home/kmo=
di/usr_local2/share/emacs/24.4/lisp/progmodes/verilog-mode</font></div><div=
 class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/kmod=
i/usr_local2/share/emacs/24.4/lisp/progmodes/cperl-mode hides /home/kmodi/.=
emacs.d/elpa/cperl-mode-20140309.122/cperl-mode</font></div><div class=3D"g=
mail_default"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/.emacs.d/=
header2 hides /home/kmodi/.emacs.d/elpa/header2-20140723.1525/header2</font=
></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif"=
>/home/kmodi/.emacs.d/matlab-emacs/tlc hides /home/kmodi/.emacs.d/elpa/matl=
ab-mode-20140923.1233/tlc</font></div><div class=3D"gmail_default"><font fa=
ce=3D"trebuchet ms, sans-serif">/home/kmodi/.emacs.d/matlab-emacs/semanticd=
b-matlab hides /home/kmodi/.emacs.d/elpa/matlab-mode-20140923.1233/semantic=
db-matlab</font></div><div class=3D"gmail_default"><font face=3D"trebuchet =
ms, sans-serif">/home/kmodi/.emacs.d/matlab-emacs/semantic-matlab hides /ho=
me/kmodi/.emacs.d/elpa/matlab-mode-20140923.1233/semantic-matlab</font></di=
v><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/hom=
e/kmodi/.emacs.d/matlab-emacs/mlint hides /home/kmodi/.emacs.d/elpa/matlab-=
mode-20140923.1233/mlint</font></div><div class=3D"gmail_default"><font fac=
e=3D"trebuchet ms, sans-serif">/home/kmodi/.emacs.d/matlab-emacs/matlab hid=
es /home/kmodi/.emacs.d/elpa/matlab-mode-20140923.1233/matlab</font></div><=
div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/k=
modi/.emacs.d/matlab-emacs/matlab-publish hides /home/kmodi/.emacs.d/elpa/m=
atlab-mode-20140923.1233/matlab-publish</font></div><div class=3D"gmail_def=
ault"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/.emacs.d/matlab-e=
macs/company-matlab-shell hides /home/kmodi/.emacs.d/elpa/matlab-mode-20140=
923.1233/company-matlab-shell</font></div><div class=3D"gmail_default"><fon=
t face=3D"trebuchet ms, sans-serif">/home/kmodi/.emacs.d/matlab-emacs/matla=
b-load hides /home/kmodi/.emacs.d/elpa/matlab-mode-20140923.1233/matlab-loa=
d</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans=
-serif">/home/kmodi/.emacs.d/matlab-emacs/cedet-matlab hides /home/kmodi/.e=
macs.d/elpa/matlab-mode-20140923.1233/cedet-matlab</font></div><div class=
=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_=
local2/share/emacs/24.4/lisp/org/ox hides /home/kmodi/.emacs.d/elpa/org-201=
41020/ox</font></div><div class=3D"gmail_default"><font face=3D"trebuchet m=
s, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ox-texinfo =
hides /home/kmodi/.emacs.d/elpa/org-20141020/ox-texinfo</font></div><div cl=
ass=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/u=
sr_local2/share/emacs/24.4/lisp/org/ox-publish hides /home/kmodi/.emacs.d/e=
lpa/org-20141020/ox-publish</font></div><div class=3D"gmail_default"><font =
face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/l=
isp/org/ox-org hides /home/kmodi/.emacs.d/elpa/org-20141020/ox-org</font></=
div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/h=
ome/kmodi/usr_local2/share/emacs/24.4/lisp/org/ox-odt hides /home/kmodi/.em=
acs.d/elpa/org-20141020/ox-odt</font></div><div class=3D"gmail_default"><fo=
nt face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.=
4/lisp/org/ox-md hides /home/kmodi/.emacs.d/elpa/org-20141020/ox-md</font><=
/div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/=
home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ox-man hides /home/kmodi/.e=
macs.d/elpa/org-20141020/ox-man</font></div><div class=3D"gmail_default"><f=
ont face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24=
.4/lisp/org/ox-icalendar hides /home/kmodi/.emacs.d/elpa/org-20141020/ox-ic=
alendar</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms=
, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ox-html hide=
s /home/kmodi/.emacs.d/elpa/org-20141020/ox-html</font></div><div class=3D"=
gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_loca=
l2/share/emacs/24.4/lisp/org/ox-beamer hides /home/kmodi/.emacs.d/elpa/org-=
20141020/ox-beamer</font></div><div class=3D"gmail_default"><font face=3D"t=
rebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/o=
rg hides /home/kmodi/.emacs.d/elpa/org-20141020/org</font></div><div class=
=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_=
local2/share/emacs/24.4/lisp/org/org-w3m hides /home/kmodi/.emacs.d/elpa/or=
g-20141020/org-w3m</font></div><div class=3D"gmail_default"><font face=3D"t=
rebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/o=
rg-timer hides /home/kmodi/.emacs.d/elpa/org-20141020/org-timer</font></div=
><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home=
/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-table hides /home/kmodi/.em=
acs.d/elpa/org-20141020/org-table</font></div><div class=3D"gmail_default">=
<font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/=
24.4/lisp/org/org-src hides /home/kmodi/.emacs.d/elpa/org-20141020/org-src<=
/font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-s=
erif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-rmail hides /hom=
e/kmodi/.emacs.d/elpa/org-20141020/org-rmail</font></div><div class=3D"gmai=
l_default"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/s=
hare/emacs/24.4/lisp/org/org-protocol hides /home/kmodi/.emacs.d/elpa/org-2=
0141020/org-protocol</font></div><div class=3D"gmail_default"><font face=3D=
"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org=
/org-plot hides /home/kmodi/.emacs.d/elpa/org-20141020/org-plot</font></div=
><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home=
/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-pcomplete hides /home/kmodi=
/.emacs.d/elpa/org-20141020/org-pcomplete</font></div><div class=3D"gmail_d=
efault"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/shar=
e/emacs/24.4/lisp/org/org-mouse hides /home/kmodi/.emacs.d/elpa/org-2014102=
0/org-mouse</font></div><div class=3D"gmail_default"><font face=3D"trebuche=
t ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-mobi=
le hides /home/kmodi/.emacs.d/elpa/org-20141020/org-mobile</font></div><div=
 class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/kmod=
i/usr_local2/share/emacs/24.4/lisp/org/org-mhe hides /home/kmodi/.emacs.d/e=
lpa/org-20141020/org-mhe</font></div><div class=3D"gmail_default"><font fac=
e=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp=
/org/org-macs hides /home/kmodi/.emacs.d/elpa/org-20141020/org-macs</font><=
/div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/=
home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-macro hides /home/kmodi=
/.emacs.d/elpa/org-20141020/org-macro</font></div><div class=3D"gmail_defau=
lt"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/em=
acs/24.4/lisp/org/org-list hides /home/kmodi/.emacs.d/elpa/org-20141020/org=
-list</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, =
sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-irc hides =
/home/kmodi/.emacs.d/elpa/org-20141020/org-irc</font></div><div class=3D"gm=
ail_default"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2=
/share/emacs/24.4/lisp/org/org-inlinetask hides /home/kmodi/.emacs.d/elpa/o=
rg-20141020/org-inlinetask</font></div><div class=3D"gmail_default"><font f=
ace=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/li=
sp/org/org-info hides /home/kmodi/.emacs.d/elpa/org-20141020/org-info</font=
></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif"=
>/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-indent hides /home/km=
odi/.emacs.d/elpa/org-20141020/org-indent</font></div><div class=3D"gmail_d=
efault"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/shar=
e/emacs/24.4/lisp/org/org-id hides /home/kmodi/.emacs.d/elpa/org-20141020/o=
rg-id</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, =
sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-habit hide=
s /home/kmodi/.emacs.d/elpa/org-20141020/org-habit</font></div><div class=
=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_=
local2/share/emacs/24.4/lisp/org/org-gnus hides /home/kmodi/.emacs.d/elpa/o=
rg-20141020/org-gnus</font></div><div class=3D"gmail_default"><font face=3D=
"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org=
/org-footnote hides /home/kmodi/.emacs.d/elpa/org-20141020/org-footnote</fo=
nt></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-seri=
f">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-feed hides /home/km=
odi/.emacs.d/elpa/org-20141020/org-feed</font></div><div class=3D"gmail_def=
ault"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/=
emacs/24.4/lisp/org/org-faces hides /home/kmodi/.emacs.d/elpa/org-20141020/=
org-faces</font></div><div class=3D"gmail_default"><font face=3D"trebuchet =
ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-eshell=
 hides /home/kmodi/.emacs.d/elpa/org-20141020/org-eshell</font></div><div c=
lass=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/=
usr_local2/share/emacs/24.4/lisp/org/org-entities hides /home/kmodi/.emacs.=
d/elpa/org-20141020/org-entities</font></div><div class=3D"gmail_default"><=
font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/2=
4.4/lisp/org/org-element hides /home/kmodi/.emacs.d/elpa/org-20141020/org-e=
lement</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms,=
 sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-docview h=
ides /home/kmodi/.emacs.d/elpa/org-20141020/org-docview</font></div><div cl=
ass=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/u=
sr_local2/share/emacs/24.4/lisp/org/org-datetree hides /home/kmodi/.emacs.d=
/elpa/org-20141020/org-datetree</font></div><div class=3D"gmail_default"><f=
ont face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24=
.4/lisp/org/org-crypt hides /home/kmodi/.emacs.d/elpa/org-20141020/org-cryp=
t</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans=
-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-compat hides /=
home/kmodi/.emacs.d/elpa/org-20141020/org-compat</font></div><div class=3D"=
gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_loca=
l2/share/emacs/24.4/lisp/org/org-colview hides /home/kmodi/.emacs.d/elpa/or=
g-20141020/org-colview</font></div><div class=3D"gmail_default"><font face=
=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/=
org/org-clock hides /home/kmodi/.emacs.d/elpa/org-20141020/org-clock</font>=
</div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">=
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-capture hides /home/km=
odi/.emacs.d/elpa/org-20141020/org-capture</font></div><div class=3D"gmail_=
default"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/sha=
re/emacs/24.4/lisp/org/org-bibtex hides /home/kmodi/.emacs.d/elpa/org-20141=
020/org-bibtex</font></div><div class=3D"gmail_default"><font face=3D"trebu=
chet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-b=
bdb hides /home/kmodi/.emacs.d/elpa/org-20141020/org-bbdb</font></div><div =
class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/kmodi=
/usr_local2/share/emacs/24.4/lisp/org/org-attach hides /home/kmodi/.emacs.d=
/elpa/org-20141020/org-attach</font></div><div class=3D"gmail_default"><fon=
t face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4=
/lisp/org/org-archive hides /home/kmodi/.emacs.d/elpa/org-20141020/org-arch=
ive</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sa=
ns-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-agenda hides=
 /home/kmodi/.emacs.d/elpa/org-20141020/org-agenda</font></div><div class=
=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_=
local2/share/emacs/24.4/lisp/org/ob hides /home/kmodi/.emacs.d/elpa/org-201=
41020/ob</font></div><div class=3D"gmail_default"><font face=3D"trebuchet m=
s, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-tangle h=
ides /home/kmodi/.emacs.d/elpa/org-20141020/ob-tangle</font></div><div clas=
s=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr=
_local2/share/emacs/24.4/lisp/org/ob-table hides /home/kmodi/.emacs.d/elpa/=
org-20141020/ob-table</font></div><div class=3D"gmail_default"><font face=
=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/=
org/ob-sqlite hides /home/kmodi/.emacs.d/elpa/org-20141020/ob-sqlite</font>=
</div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">=
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-sql hides /home/kmodi/.=
emacs.d/elpa/org-20141020/ob-sql</font></div><div class=3D"gmail_default"><=
font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/2=
4.4/lisp/org/ob-shen hides /home/kmodi/.emacs.d/elpa/org-20141020/ob-shen</=
font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-se=
rif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-sh hides /home/kmo=
di/.emacs.d/elpa/org-20141020/ob-sh</font></div><div class=3D"gmail_default=
"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emac=
s/24.4/lisp/org/ob-screen hides /home/kmodi/.emacs.d/elpa/org-20141020/ob-s=
creen</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, =
sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-scheme hide=
s /home/kmodi/.emacs.d/elpa/org-20141020/ob-scheme</font></div><div class=
=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_=
local2/share/emacs/24.4/lisp/org/ox-ascii hides /home/kmodi/.emacs.d/elpa/o=
rg-20141020/ox-ascii</font></div><div class=3D"gmail_default"><font face=3D=
"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org=
/ob-scala hides /home/kmodi/.emacs.d/elpa/org-20141020/ob-scala</font></div=
><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home=
/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-sass hides /home/kmodi/.emac=
s.d/elpa/org-20141020/ob-sass</font></div><div class=3D"gmail_default"><fon=
t face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4=
/lisp/org/ob-ruby hides /home/kmodi/.emacs.d/elpa/org-20141020/ob-ruby</fon=
t></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif=
">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-ref hides /home/kmodi=
/.emacs.d/elpa/org-20141020/ob-ref</font></div><div class=3D"gmail_default"=
><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs=
/24.4/lisp/org/ob-python hides /home/kmodi/.emacs.d/elpa/org-20141020/ob-py=
thon</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, s=
ans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-plantuml hid=
es /home/kmodi/.emacs.d/elpa/org-20141020/ob-plantuml</font></div><div clas=
s=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr=
_local2/share/emacs/24.4/lisp/org/ob-picolisp hides /home/kmodi/.emacs.d/el=
pa/org-20141020/ob-picolisp</font></div><div class=3D"gmail_default"><font =
face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/l=
isp/org/ob-perl hides /home/kmodi/.emacs.d/elpa/org-20141020/ob-perl</font>=
</div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">=
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-org hides /home/kmodi/.=
emacs.d/elpa/org-20141020/ob-org</font></div><div class=3D"gmail_default"><=
font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/2=
4.4/lisp/org/ob-octave hides /home/kmodi/.emacs.d/elpa/org-20141020/ob-octa=
ve</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, san=
s-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-ocaml hides /h=
ome/kmodi/.emacs.d/elpa/org-20141020/ob-ocaml</font></div><div class=3D"gma=
il_default"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/=
share/emacs/24.4/lisp/org/ob-mscgen hides /home/kmodi/.emacs.d/elpa/org-201=
41020/ob-mscgen</font></div><div class=3D"gmail_default"><font face=3D"treb=
uchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-m=
axima hides /home/kmodi/.emacs.d/elpa/org-20141020/ob-maxima</font></div><d=
iv class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/km=
odi/usr_local2/share/emacs/24.4/lisp/org/ob-matlab hides /home/kmodi/.emacs=
.d/elpa/org-20141020/ob-matlab</font></div><div class=3D"gmail_default"><fo=
nt face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.=
4/lisp/org/ob-makefile hides /home/kmodi/.emacs.d/elpa/org-20141020/ob-make=
file</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, s=
ans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-lob hides /h=
ome/kmodi/.emacs.d/elpa/org-20141020/ob-lob</font></div><div class=3D"gmail=
_default"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/sh=
are/emacs/24.4/lisp/org/ob-lisp hides /home/kmodi/.emacs.d/elpa/org-2014102=
0/ob-lisp</font></div><div class=3D"gmail_default"><font face=3D"trebuchet =
ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-lilypon=
d hides /home/kmodi/.emacs.d/elpa/org-20141020/ob-lilypond</font></div><div=
 class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/kmod=
i/usr_local2/share/emacs/24.4/lisp/org/ob-ledger hides /home/kmodi/.emacs.d=
/elpa/org-20141020/ob-ledger</font></div><div class=3D"gmail_default"><font=
 face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/=
lisp/org/ob-latex hides /home/kmodi/.emacs.d/elpa/org-20141020/ob-latex</fo=
nt></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-seri=
f">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-keys hides /home/kmo=
di/.emacs.d/elpa/org-20141020/ob-keys</font></div><div class=3D"gmail_defau=
lt"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/em=
acs/24.4/lisp/org/ob-js hides /home/kmodi/.emacs.d/elpa/org-20141020/ob-js<=
/font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-s=
erif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-java hides /home/=
kmodi/.emacs.d/elpa/org-20141020/ob-java</font></div><div class=3D"gmail_de=
fault"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share=
/emacs/24.4/lisp/org/ob-io hides /home/kmodi/.emacs.d/elpa/org-20141020/ob-=
io</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, san=
s-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-haskell hides =
/home/kmodi/.emacs.d/elpa/org-20141020/ob-haskell</font></div><div class=3D=
"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_loc=
al2/share/emacs/24.4/lisp/org/ob-gnuplot hides /home/kmodi/.emacs.d/elpa/or=
g-20141020/ob-gnuplot</font></div><div class=3D"gmail_default"><font face=
=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/=
org/ob-fortran hides /home/kmodi/.emacs.d/elpa/org-20141020/ob-fortran</fon=
t></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif=
">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-exp hides /home/kmodi=
/.emacs.d/elpa/org-20141020/ob-exp</font></div><div class=3D"gmail_default"=
><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs=
/24.4/lisp/org/ob-eval hides /home/kmodi/.emacs.d/elpa/org-20141020/ob-eval=
</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-=
serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-emacs-lisp hides=
 /home/kmodi/.emacs.d/elpa/org-20141020/ob-emacs-lisp</font></div><div clas=
s=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr=
_local2/share/emacs/24.4/lisp/org/ob-dot hides /home/kmodi/.emacs.d/elpa/or=
g-20141020/ob-dot</font></div><div class=3D"gmail_default"><font face=3D"tr=
ebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob=
-ditaa hides /home/kmodi/.emacs.d/elpa/org-20141020/ob-ditaa</font></div><d=
iv class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/km=
odi/usr_local2/share/emacs/24.4/lisp/org/ob-css hides /home/kmodi/.emacs.d/=
elpa/org-20141020/ob-css</font></div><div class=3D"gmail_default"><font fac=
e=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp=
/org/ob-core hides /home/kmodi/.emacs.d/elpa/org-20141020/ob-core</font></d=
iv><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/ho=
me/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-comint hides /home/kmodi/.=
emacs.d/elpa/org-20141020/ob-comint</font></div><div class=3D"gmail_default=
"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emac=
s/24.4/lisp/org/ob-clojure hides /home/kmodi/.emacs.d/elpa/org-20141020/ob-=
clojure</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms=
, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-calc hide=
s /home/kmodi/.emacs.d/elpa/org-20141020/ob-calc</font></div><div class=3D"=
gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_loca=
l2/share/emacs/24.4/lisp/org/ob-awk hides /home/kmodi/.emacs.d/elpa/org-201=
41020/ob-awk</font></div><div class=3D"gmail_default"><font face=3D"trebuch=
et ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-asym=
ptote hides /home/kmodi/.emacs.d/elpa/org-20141020/ob-asymptote</font></div=
><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home=
/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-R hides /home/kmodi/.emacs.d=
/elpa/org-20141020/ob-R</font></div><div class=3D"gmail_default"><font face=
=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/=
org/ox-latex hides /home/kmodi/.emacs.d/elpa/org-20141020/ox-latex</font></=
div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/h=
ome/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-version hides /home/kmod=
i/.emacs.d/elpa/org-20141020/org-version</font></div><div class=3D"gmail_de=
fault"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share=
/emacs/24.4/lisp/org/ob-C hides /home/kmodi/.emacs.d/elpa/org-20141020/ob-C=
</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-=
serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-install hides /=
home/kmodi/.emacs.d/elpa/org-20141020/org-install</font></div><div class=3D=
"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_loc=
al2/share/emacs/24.4/lisp/org/org-ctags hides /home/kmodi/.emacs.d/elpa/org=
-20141020/org-ctags</font></div><div class=3D"gmail_default"><font face=3D"=
trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/=
org-loaddefs hides /home/kmodi/.emacs.d/elpa/org-20141020/org-loaddefs</fon=
t></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif=
">/home/kmodi/.emacs.d/elpa/swoop-20140605.1410/swoop hides /home/kmodi/.em=
acs.d/elpa/swoop-20140605.54/swoop</font></div><div class=3D"gmail_default"=
><font face=3D"trebuchet ms, sans-serif">/home/kmodi/.emacs.d/elpa/swoop-20=
140605.1410/swoop-pkg hides /home/kmodi/.emacs.d/elpa/swoop-20140605.54/swo=
op-pkg</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms,=
 sans-serif">/home/kmodi/.emacs.d/elpa/swoop-20140605.1410/swoop-autoloads =
hides /home/kmodi/.emacs.d/elpa/swoop-20140605.54/swoop-autoloads</font></d=
iv><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/ho=
me/kmodi/.emacs.d/elpa/swoop-20140605.1410/swoop-lib hides /home/kmodi/.ema=
cs.d/elpa/swoop-20140605.54/swoop-lib</font></div><div class=3D"gmail_defau=
lt"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/.emacs.d/elpa/swoop=
-20140605.1410/swoop-edit hides /home/kmodi/.emacs.d/elpa/swoop-20140605.54=
/swoop-edit</font></div><div class=3D"gmail_default"><font face=3D"trebuche=
t ms, sans-serif">/home/kmodi/.emacs.d/elpa/ox-reveal-20141016.840/ox-revea=
l hides /home/kmodi/.emacs.d/from-git/org-reveal/ox-reveal</font></div><div=
 class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/kmod=
i/usr_local2/share/emacs/24.4/lisp/org/ox hides /home/kmodi/.emacs.d/from-g=
it/org-mode/lisp/ox</font></div><div class=3D"gmail_default"><font face=3D"=
trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/=
ox-texinfo hides /home/kmodi/.emacs.d/from-git/org-mode/lisp/ox-texinfo</fo=
nt></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-seri=
f">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ox-publish hides /home/=
kmodi/.emacs.d/from-git/org-mode/lisp/ox-publish</font></div><div class=3D"=
gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_loca=
l2/share/emacs/24.4/lisp/org/ox-org hides /home/kmodi/.emacs.d/from-git/org=
-mode/lisp/ox-org</font></div><div class=3D"gmail_default"><font face=3D"tr=
ebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ox=
-odt hides /home/kmodi/.emacs.d/from-git/org-mode/lisp/ox-odt</font></div><=
div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/k=
modi/usr_local2/share/emacs/24.4/lisp/org/ox-md hides /home/kmodi/.emacs.d/=
from-git/org-mode/lisp/ox-md</font></div><div class=3D"gmail_default"><font=
 face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/=
lisp/org/ox-man hides /home/kmodi/.emacs.d/from-git/org-mode/lisp/ox-man</f=
ont></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-ser=
if">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ox-latex hides /home/k=
modi/.emacs.d/from-git/org-mode/lisp/ox-latex</font></div><div class=3D"gma=
il_default"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/=
share/emacs/24.4/lisp/org/ox-icalendar hides /home/kmodi/.emacs.d/from-git/=
org-mode/lisp/ox-icalendar</font></div><div class=3D"gmail_default"><font f=
ace=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/li=
sp/org/ox-html hides /home/kmodi/.emacs.d/from-git/org-mode/lisp/ox-html</f=
ont></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-ser=
if">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ox-beamer hides /home/=
kmodi/.emacs.d/from-git/org-mode/lisp/ox-beamer</font></div><div class=3D"g=
mail_default"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local=
2/share/emacs/24.4/lisp/org/ox-ascii hides /home/kmodi/.emacs.d/from-git/or=
g-mode/lisp/ox-ascii</font></div><div class=3D"gmail_default"><font face=3D=
"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org=
/org hides /home/kmodi/.emacs.d/from-git/org-mode/lisp/org</font></div><div=
 class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/kmod=
i/usr_local2/share/emacs/24.4/lisp/org/org-timer hides /home/kmodi/.emacs.d=
/from-git/org-mode/lisp/org-timer</font></div><div class=3D"gmail_default">=
<font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/=
24.4/lisp/org/org-table hides /home/kmodi/.emacs.d/from-git/org-mode/lisp/o=
rg-table</font></div><div class=3D"gmail_default"><font face=3D"trebuchet m=
s, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-src hid=
es /home/kmodi/.emacs.d/from-git/org-mode/lisp/org-src</font></div><div cla=
ss=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/us=
r_local2/share/emacs/24.4/lisp/org/org-rmail hides /home/kmodi/.emacs.d/fro=
m-git/org-mode/lisp/org-rmail</font></div><div class=3D"gmail_default"><fon=
t face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4=
/lisp/org/org-protocol hides /home/kmodi/.emacs.d/from-git/org-mode/lisp/or=
g-protocol</font></div><div class=3D"gmail_default"><font face=3D"trebuchet=
 ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-plot =
hides /home/kmodi/.emacs.d/from-git/org-mode/lisp/org-plot</font></div><div=
 class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/kmod=
i/usr_local2/share/emacs/24.4/lisp/org/org-pcomplete hides /home/kmodi/.ema=
cs.d/from-git/org-mode/lisp/org-pcomplete</font></div><div class=3D"gmail_d=
efault"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/shar=
e/emacs/24.4/lisp/org/org-mouse hides /home/kmodi/.emacs.d/from-git/org-mod=
e/lisp/org-mouse</font></div><div class=3D"gmail_default"><font face=3D"tre=
buchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org=
-mobile hides /home/kmodi/.emacs.d/from-git/org-mode/lisp/org-mobile</font>=
</div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">=
/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-mhe hides /home/kmodi/=
.emacs.d/from-git/org-mode/lisp/org-mhe</font></div><div class=3D"gmail_def=
ault"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/=
emacs/24.4/lisp/org/org-macs hides /home/kmodi/.emacs.d/from-git/org-mode/l=
isp/org-macs</font></div><div class=3D"gmail_default"><font face=3D"trebuch=
et ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-mac=
ro hides /home/kmodi/.emacs.d/from-git/org-mode/lisp/org-macro</font></div>=
<div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/=
kmodi/usr_local2/share/emacs/24.4/lisp/org/org-list hides /home/kmodi/.emac=
s.d/from-git/org-mode/lisp/org-list</font></div><div class=3D"gmail_default=
"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emac=
s/24.4/lisp/org/org-irc hides /home/kmodi/.emacs.d/from-git/org-mode/lisp/o=
rg-irc</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms,=
 sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-inlinetas=
k hides /home/kmodi/.emacs.d/from-git/org-mode/lisp/org-inlinetask</font></=
div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/h=
ome/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-info hides /home/kmodi/.=
emacs.d/from-git/org-mode/lisp/org-info</font></div><div class=3D"gmail_def=
ault"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/=
emacs/24.4/lisp/org/org-indent hides /home/kmodi/.emacs.d/from-git/org-mode=
/lisp/org-indent</font></div><div class=3D"gmail_default"><font face=3D"tre=
buchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org=
-id hides /home/kmodi/.emacs.d/from-git/org-mode/lisp/org-id</font></div><d=
iv class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/km=
odi/usr_local2/share/emacs/24.4/lisp/org/org-habit hides /home/kmodi/.emacs=
.d/from-git/org-mode/lisp/org-habit</font></div><div class=3D"gmail_default=
"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emac=
s/24.4/lisp/org/org-gnus hides /home/kmodi/.emacs.d/from-git/org-mode/lisp/=
org-gnus</font></div><div class=3D"gmail_default"><font face=3D"trebuchet m=
s, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-footnot=
e hides /home/kmodi/.emacs.d/from-git/org-mode/lisp/org-footnote</font></di=
v><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/hom=
e/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-feed hides /home/kmodi/.em=
acs.d/from-git/org-mode/lisp/org-feed</font></div><div class=3D"gmail_defau=
lt"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/em=
acs/24.4/lisp/org/org-faces hides /home/kmodi/.emacs.d/from-git/org-mode/li=
sp/org-faces</font></div><div class=3D"gmail_default"><font face=3D"trebuch=
et ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-esh=
ell hides /home/kmodi/.emacs.d/from-git/org-mode/lisp/org-eshell</font></di=
v><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/hom=
e/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-entities hides /home/kmodi=
/.emacs.d/from-git/org-mode/lisp/org-entities</font></div><div class=3D"gma=
il_default"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/=
share/emacs/24.4/lisp/org/org-element hides /home/kmodi/.emacs.d/from-git/o=
rg-mode/lisp/org-element</font></div><div class=3D"gmail_default"><font fac=
e=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp=
/org/org-docview hides /home/kmodi/.emacs.d/from-git/org-mode/lisp/org-docv=
iew</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sa=
ns-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-datetree hid=
es /home/kmodi/.emacs.d/from-git/org-mode/lisp/org-datetree</font></div><di=
v class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/kmo=
di/usr_local2/share/emacs/24.4/lisp/org/org-ctags hides /home/kmodi/.emacs.=
d/from-git/org-mode/lisp/org-ctags</font></div><div class=3D"gmail_default"=
><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs=
/24.4/lisp/org/org-crypt hides /home/kmodi/.emacs.d/from-git/org-mode/lisp/=
org-crypt</font></div><div class=3D"gmail_default"><font face=3D"trebuchet =
ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-compat=
 hides /home/kmodi/.emacs.d/from-git/org-mode/lisp/org-compat</font></div><=
div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/k=
modi/usr_local2/share/emacs/24.4/lisp/org/org-colview hides /home/kmodi/.em=
acs.d/from-git/org-mode/lisp/org-colview</font></div><div class=3D"gmail_de=
fault"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share=
/emacs/24.4/lisp/org/org-clock hides /home/kmodi/.emacs.d/from-git/org-mode=
/lisp/org-clock</font></div><div class=3D"gmail_default"><font face=3D"treb=
uchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-=
capture hides /home/kmodi/.emacs.d/from-git/org-mode/lisp/org-capture</font=
></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif"=
>/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-bibtex hides /home/km=
odi/.emacs.d/from-git/org-mode/lisp/org-bibtex</font></div><div class=3D"gm=
ail_default"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2=
/share/emacs/24.4/lisp/org/org-bbdb hides /home/kmodi/.emacs.d/from-git/org=
-mode/lisp/org-bbdb</font></div><div class=3D"gmail_default"><font face=3D"=
trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/=
org-attach hides /home/kmodi/.emacs.d/from-git/org-mode/lisp/org-attach</fo=
nt></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-seri=
f">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/org-archive hides /home=
/kmodi/.emacs.d/from-git/org-mode/lisp/org-archive</font></div><div class=
=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_=
local2/share/emacs/24.4/lisp/org/org-agenda hides /home/kmodi/.emacs.d/from=
-git/org-mode/lisp/org-agenda</font></div><div class=3D"gmail_default"><fon=
t face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4=
/lisp/org/ob hides /home/kmodi/.emacs.d/from-git/org-mode/lisp/ob</font></d=
iv><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/ho=
me/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-tangle hides /home/kmodi/.=
emacs.d/from-git/org-mode/lisp/ob-tangle</font></div><div class=3D"gmail_de=
fault"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share=
/emacs/24.4/lisp/org/ob-table hides /home/kmodi/.emacs.d/from-git/org-mode/=
lisp/ob-table</font></div><div class=3D"gmail_default"><font face=3D"trebuc=
het ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-sql=
ite hides /home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-sqlite</font></div=
><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home=
/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-sql hides /home/kmodi/.emacs=
.d/from-git/org-mode/lisp/ob-sql</font></div><div class=3D"gmail_default"><=
font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/2=
4.4/lisp/org/ob-shen hides /home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-s=
hen</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sa=
ns-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-screen hides =
/home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-screen</font></div><div clas=
s=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr=
_local2/share/emacs/24.4/lisp/org/ob-scheme hides /home/kmodi/.emacs.d/from=
-git/org-mode/lisp/ob-scheme</font></div><div class=3D"gmail_default"><font=
 face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/=
lisp/org/ob-scala hides /home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-scal=
a</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans=
-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-sass hides /hom=
e/kmodi/.emacs.d/from-git/org-mode/lisp/ob-sass</font></div><div class=3D"g=
mail_default"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local=
2/share/emacs/24.4/lisp/org/org-w3m hides /home/kmodi/.emacs.d/from-git/org=
-mode/lisp/org-w3m</font></div><div class=3D"gmail_default"><font face=3D"t=
rebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/o=
rg-loaddefs hides /home/kmodi/.emacs.d/from-git/org-mode/lisp/org-loaddefs<=
/font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-s=
erif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-ruby hides /home/=
kmodi/.emacs.d/from-git/org-mode/lisp/ob-ruby</font></div><div class=3D"gma=
il_default"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/=
share/emacs/24.4/lisp/org/ob-ref hides /home/kmodi/.emacs.d/from-git/org-mo=
de/lisp/ob-ref</font></div><div class=3D"gmail_default"><font face=3D"trebu=
chet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-py=
thon hides /home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-python</font></di=
v><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/hom=
e/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-plantuml hides /home/kmodi/=
.emacs.d/from-git/org-mode/lisp/ob-plantuml</font></div><div class=3D"gmail=
_default"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/sh=
are/emacs/24.4/lisp/org/ob-picolisp hides /home/kmodi/.emacs.d/from-git/org=
-mode/lisp/ob-picolisp</font></div><div class=3D"gmail_default"><font face=
=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/=
org/ob-perl hides /home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-perl</font=
></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif"=
>/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-org hides /home/kmodi/=
.emacs.d/from-git/org-mode/lisp/ob-org</font></div><div class=3D"gmail_defa=
ult"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/e=
macs/24.4/lisp/org/ob-octave hides /home/kmodi/.emacs.d/from-git/org-mode/l=
isp/ob-octave</font></div><div class=3D"gmail_default"><font face=3D"trebuc=
het ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-oca=
ml hides /home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-ocaml</font></div><=
div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/k=
modi/usr_local2/share/emacs/24.4/lisp/org/ob-mscgen hides /home/kmodi/.emac=
s.d/from-git/org-mode/lisp/ob-mscgen</font></div><div class=3D"gmail_defaul=
t"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/ema=
cs/24.4/lisp/org/ob-maxima hides /home/kmodi/.emacs.d/from-git/org-mode/lis=
p/ob-maxima</font></div><div class=3D"gmail_default"><font face=3D"trebuche=
t ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-matla=
b hides /home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-matlab</font></div><=
div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/k=
modi/usr_local2/share/emacs/24.4/lisp/org/ob-makefile hides /home/kmodi/.em=
acs.d/from-git/org-mode/lisp/ob-makefile</font></div><div class=3D"gmail_de=
fault"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share=
/emacs/24.4/lisp/org/ob-lob hides /home/kmodi/.emacs.d/from-git/org-mode/li=
sp/ob-lob</font></div><div class=3D"gmail_default"><font face=3D"trebuchet =
ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-lisp hi=
des /home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-lisp</font></div><div cl=
ass=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/u=
sr_local2/share/emacs/24.4/lisp/org/ob-lilypond hides /home/kmodi/.emacs.d/=
from-git/org-mode/lisp/ob-lilypond</font></div><div class=3D"gmail_default"=
><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs=
/24.4/lisp/org/ob-ledger hides /home/kmodi/.emacs.d/from-git/org-mode/lisp/=
ob-ledger</font></div><div class=3D"gmail_default"><font face=3D"trebuchet =
ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-latex h=
ides /home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-latex</font></div><div =
class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/kmodi=
/usr_local2/share/emacs/24.4/lisp/org/ob-keys hides /home/kmodi/.emacs.d/fr=
om-git/org-mode/lisp/ob-keys</font></div><div class=3D"gmail_default"><font=
 face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/=
lisp/org/ob-js hides /home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-js</fon=
t></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif=
">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-java hides /home/kmod=
i/.emacs.d/from-git/org-mode/lisp/ob-java</font></div><div class=3D"gmail_d=
efault"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/shar=
e/emacs/24.4/lisp/org/ob-io hides /home/kmodi/.emacs.d/from-git/org-mode/li=
sp/ob-io</font></div><div class=3D"gmail_default"><font face=3D"trebuchet m=
s, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-haskell =
hides /home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-haskell</font></div><d=
iv class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/km=
odi/usr_local2/share/emacs/24.4/lisp/org/ob-gnuplot hides /home/kmodi/.emac=
s.d/from-git/org-mode/lisp/ob-gnuplot</font></div><div class=3D"gmail_defau=
lt"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/em=
acs/24.4/lisp/org/ob-fortran hides /home/kmodi/.emacs.d/from-git/org-mode/l=
isp/ob-fortran</font></div><div class=3D"gmail_default"><font face=3D"trebu=
chet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-ex=
p hides /home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-exp</font></div><div=
 class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/kmod=
i/usr_local2/share/emacs/24.4/lisp/org/ob-eval hides /home/kmodi/.emacs.d/f=
rom-git/org-mode/lisp/ob-eval</font></div><div class=3D"gmail_default"><fon=
t face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4=
/lisp/org/ob-emacs-lisp hides /home/kmodi/.emacs.d/from-git/org-mode/lisp/o=
b-emacs-lisp</font></div><div class=3D"gmail_default"><font face=3D"trebuch=
et ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-dot =
hides /home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-dot</font></div><div c=
lass=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/=
usr_local2/share/emacs/24.4/lisp/org/ob-ditaa hides /home/kmodi/.emacs.d/fr=
om-git/org-mode/lisp/ob-ditaa</font></div><div class=3D"gmail_default"><fon=
t face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4=
/lisp/org/ob-css hides /home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-css</=
font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-se=
rif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-core hides /home/k=
modi/.emacs.d/from-git/org-mode/lisp/ob-core</font></div><div class=3D"gmai=
l_default"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/s=
hare/emacs/24.4/lisp/org/ob-comint hides /home/kmodi/.emacs.d/from-git/org-=
mode/lisp/ob-comint</font></div><div class=3D"gmail_default"><font face=3D"=
trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/=
ob-clojure hides /home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-clojure</fo=
nt></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-seri=
f">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-calc hides /home/kmo=
di/.emacs.d/from-git/org-mode/lisp/ob-calc</font></div><div class=3D"gmail_=
default"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/sha=
re/emacs/24.4/lisp/org/ob-awk hides /home/kmodi/.emacs.d/from-git/org-mode/=
lisp/ob-awk</font></div><div class=3D"gmail_default"><font face=3D"trebuche=
t ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-asymp=
tote hides /home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-asymptote</font><=
/div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/=
home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-R hides /home/kmodi/.ema=
cs.d/from-git/org-mode/lisp/ob-R</font></div><div class=3D"gmail_default"><=
font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_local2/share/emacs/2=
4.4/lisp/org/org-version hides /home/kmodi/.emacs.d/from-git/org-mode/lisp/=
org-version</font></div><div class=3D"gmail_default"><font face=3D"trebuche=
t ms, sans-serif">/home/kmodi/usr_local2/share/emacs/24.4/lisp/org/ob-C hid=
es /home/kmodi/.emacs.d/from-git/org-mode/lisp/ob-C</font></div><div class=
=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">/home/kmodi/usr_=
local2/share/emacs/24.4/lisp/org/org-install hides /home/kmodi/.emacs.d/fro=
m-git/org-mode/lisp/org-install</font></div><div class=3D"gmail_default"><f=
ont face=3D"trebuchet ms, sans-serif">/home/kmodi/.emacs.d/elpa/htmlize-201=
30207.1202/htmlize hides /home/kmodi/.emacs.d/from-git/org-mode/contrib/lis=
p/htmlize</font></div><div class=3D"gmail_default"><font face=3D"trebuchet =
ms, sans-serif"><br></font></div><div class=3D"gmail_default"><font face=3D=
"trebuchet ms, sans-serif">Features:</font></div><div class=3D"gmail_defaul=
t"><font face=3D"trebuchet ms, sans-serif">(shadow sort mail-extr emacsbug =
sendmail tramp-cache tramp tramp-compat</font></div><div class=3D"gmail_def=
ault"><font face=3D"trebuchet ms, sans-serif">tramp-loaddefs trampver mm-ar=
chive network-stream starttls url-http tls</font></div><div class=3D"gmail_=
default"><font face=3D"trebuchet ms, sans-serif">url-gw url-cache url-auth =
url url-proxy url-privacy url-expand</font></div><div class=3D"gmail_defaul=
t"><font face=3D"trebuchet ms, sans-serif">url-methods url-history url-cook=
ie url-domsuf url-util mailcap</font></div><div class=3D"gmail_default"><fo=
nt face=3D"trebuchet ms, sans-serif">url-handlers epg finder-inf thumbs eim=
p imagemagick debug wgrep-ag wgrep</font></div><div class=3D"gmail_default"=
><font face=3D"trebuchet ms, sans-serif">two-column iso-transl multiple-cur=
sors mc-hide-unmatched-lines-mode</font></div><div class=3D"gmail_default">=
<font face=3D"trebuchet ms, sans-serif">mc-separate-operations rectangular-=
region-mode mc-mark-pop mc-mark-more</font></div><div class=3D"gmail_defaul=
t"><font face=3D"trebuchet ms, sans-serif">mc-cycle-cursors mc-edit-lines e=
ieio-opt speedbar sb-image ezimage</font></div><div class=3D"gmail_default"=
><font face=3D"trebuchet ms, sans-serif">dframe align web-mode-expansions w=
eb-mode html-mode-expansions sgml-mode</font></div><div class=3D"gmail_defa=
ult"><font face=3D"trebuchet ms, sans-serif">htmlize texmathp misearch mult=
i-isearch ffap time-stamp preview</font></div><div class=3D"gmail_default">=
<font face=3D"trebuchet ms, sans-serif">prv-emacs tex-buf font-latex latex-=
mode-expansions latex tex-style tex</font></div><div class=3D"gmail_default=
"><font face=3D"trebuchet ms, sans-serif">dbus tex-mode latexenc tabify org=
-table org-agenda multiple-cursors-core</font></div><div class=3D"gmail_def=
ault"><font face=3D"trebuchet ms, sans-serif">rect eldoc cc-langs cc-mode-e=
xpansions cc-mode cc-fonts cc-guess</font></div><div class=3D"gmail_default=
"><font face=3D"trebuchet ms, sans-serif">cc-menus cc-styles cc-align matla=
b gud tempo cperl-mode-expansions</font></div><div class=3D"gmail_default">=
<font face=3D"trebuchet ms, sans-serif">cperl-mode ggtags ewoc verilog-mode=
 skeleton sh-script smie executable</font></div><div class=3D"gmail_default=
"><font face=3D"trebuchet ms, sans-serif">vc-git disp-table org-rmail org-m=
he org-irc org-info org-gnus</font></div><div class=3D"gmail_default"><font=
 face=3D"trebuchet ms, sans-serif">org-docview doc-view image-mode org-bibt=
ex bibtex org-bbdb org-w3m</font></div><div class=3D"gmail_default"><font f=
ace=3D"trebuchet ms, sans-serif">dired+ image-dired image-file bookmark+ bo=
okmark+-key bookmark+-1</font></div><div class=3D"gmail_default"><font face=
=3D"trebuchet ms, sans-serif">bookmark+-bmu bookmark+-lit bookmark pp dired=
-x dired-aux dired-single</font></div><div class=3D"gmail_default"><font fa=
ce=3D"trebuchet ms, sans-serif">flyspell ispell swoop swoop-edit swoop-lib =
ht pcre2el rxt re-builder</font></div><div class=3D"gmail_default"><font fa=
ce=3D"trebuchet ms, sans-serif">async indent-guide yaml-mode matlab-load py=
thon-mode-expansions</font></div><div class=3D"gmail_default"><font face=3D=
"trebuchet ms, sans-serif">python-mode flymake shell cc-cmds cc-engine cc-v=
ars cc-defs yasnippet</font></div><div class=3D"gmail_default"><font face=
=3D"trebuchet ms, sans-serif">yafolding wrap-region stripe-buffer recentf t=
ree-widget smart-compile</font></div><div class=3D"gmail_default"><font fac=
e=3D"trebuchet ms, sans-serif">rainbow-delimiters projectile ibuf-macs pcas=
e ibuf-ext ibuffer pkg-info</font></div><div class=3D"gmail_default"><font =
face=3D"trebuchet ms, sans-serif">lisp-mnt epl page-break-lines ox-reveal n=
umber iregister ido-ubiquitous</font></div><div class=3D"gmail_default"><fo=
nt face=3D"trebuchet ms, sans-serif">warnings ido-vertical-mode flx-ido flx=
 hungry-delete hl-line+ hl-line</font></div><div class=3D"gmail_default"><f=
ont face=3D"trebuchet ms, sans-serif">auto-highlight-symbol volatile-highli=
ghts highlight-global hardcore-mode</font></div><div class=3D"gmail_default=
"><font face=3D"trebuchet ms, sans-serif">guide-key face-remap expand-regio=
n text-mode-expansions</font></div><div class=3D"gmail_default"><font face=
=3D"trebuchet ms, sans-serif">the-org-mode-expansions er-basic-expansions e=
xpand-region-core</font></div><div class=3D"gmail_default"><font face=3D"tr=
ebuchet ms, sans-serif">expand-region-custom elisp-slime-nav help-mode etag=
s elfeed-show message</font></div><div class=3D"gmail_default"><font face=
=3D"trebuchet ms, sans-serif">rfc822 mml mml-sec mm-decode mm-bodies mm-enc=
ode mail-parse rfc2231</font></div><div class=3D"gmail_default"><font face=
=3D"trebuchet ms, sans-serif">rfc2047 rfc2045 ietf-drums mailabbrev mail-ut=
ils gmm-utils mailheader</font></div><div class=3D"gmail_default"><font fac=
e=3D"trebuchet ms, sans-serif">shr elfeed-db elfeed-lib avl-tree elfeed-sea=
rch wid-edit browse-url</font></div><div class=3D"gmail_default"><font face=
=3D"trebuchet ms, sans-serif">elfeed url-parse auth-source eieio eieio-core=
 gnus-util mm-util</font></div><div class=3D"gmail_default"><font face=3D"t=
rebuchet ms, sans-serif">mail-prsvr password-cache url-vars xml-query xml d=
rag-stuff</font></div><div class=3D"gmail_default"><font face=3D"trebuchet =
ms, sans-serif">discover-my-major makey buffer-move windmove auto-complete-=
config</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms,=
 sans-serif">auto-complete popup ag vc-svn s ucs-normalize dired</font></di=
v><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">fill=
-column-indicator smart-mode-line-dark-theme zenburn-theme</font></div><div=
 class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">smart-mode=
-line-respectful-theme smart-mode-line mule-util rich-minority</font></div>=
<div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">popwin=
 iy-go-to-char undo-tree diff smex ido visual-regexp anzu</font></div><div =
class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">thingatpt r=
egion-bindings-mode setup-misc setup-desktop desktop frameset</font></div><=
div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">setup-s=
pell setup-gtags setup-print setup-search grep compile rx</font></div><div =
class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">setup-navig=
ation setup-registers setup-windows-buffers winner</font></div><div class=
=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">setup-editing se=
tup-spice setup-latex setup-yaml-mode setup-web-mode</font></div><div class=
=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">setup-markdown s=
etup-matlab setup-python setup-perl setup-verilog</font></div><div class=3D=
"gmail_default"><font face=3D"trebuchet ms, sans-serif">setup-yasnippet set=
up-yafolding setup-xkcd setup-wrap-region setup-w3m</font></div><div class=
=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">setup-undo-tree =
setup-stripe-buffer setup-smex setup-smart-compile</font></div><div class=
=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">setup-server ser=
ver setup-rainbow-mode setup-rainbow-delimiters</font></div><div class=3D"g=
mail_default"><font face=3D"trebuchet ms, sans-serif">setup-projectile setu=
p-poporg setup-page-break-lines setup-org ox-latex</font></div><div class=
=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">ox-icalendar ox-=
html ox-ascii ox-publish ox org-element ob-dot ob-latex</font></div><div cl=
ass=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">ob-plantuml o=
b-ditaa org org-macro org-footnote org-pcomplete pcomplete</font></div><div=
 class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">org-list o=
rg-faces org-entities noutline outline org-version</font></div><div class=
=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">ob-emacs-lisp ob=
 ob-tangle ob-ref ob-lob ob-table ob-exp org-src ob-keys</font></div><div c=
lass=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">ob-comint co=
mint ansi-color ring ob-core ob-eval org-compat org-macs</font></div><div c=
lass=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">org-loaddefs=
 format-spec find-func cal-menu calendar cal-loaddefs</font></div><div clas=
s=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">setup-number se=
tup-multiple-cursors setup-manage-minor-mode</font></div><div class=3D"gmai=
l_default"><font face=3D"trebuchet ms, sans-serif">manage-minor-mode setup-=
magit setup-iregister setup-ido</font></div><div class=3D"gmail_default"><f=
ont face=3D"trebuchet ms, sans-serif">setup-hungry-delete setup-hl-line+ se=
tup-highlight setup-header2</font></div><div class=3D"gmail_default"><font =
face=3D"trebuchet ms, sans-serif">setup-hardcore setup-guide-key setup-fci =
setup-expand-region</font></div><div class=3D"gmail_default"><font face=3D"=
trebuchet ms, sans-serif">setup-elisp-slime-nav setup-elfeed setup-drag-stu=
ff</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, san=
s-serif">setup-discover-my-major setup-dired setup-buffer-move setup-bookma=
rk+</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sa=
ns-serif">setup-auto-complete setup-ag setup-ace-window setup-ace-jump-mode=
</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-=
serif">setup-visual whitespace generic setup-smart-mode-line setup-popwin</=
font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-se=
rif">adice-mode derived setup-sos defuns key-chord temp-mode modi-mode</fon=
t></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif=
">byte-opt setup-key-chord setup-region-bindings-mode setup-secret</font></=
div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">re=
q-package view log4e dash use-package diminish bytecomp byte-compile</font>=
</div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">=
cconv bind-key easy-mmode benchmark-init setup-packages</font></div><div cl=
ass=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">ace-jump-zap-=
autoloads ace-window-autoloads ace-window ace-jump-mode</font></div><div cl=
ass=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">advice ace-ju=
mp-mode-autoloads anzu-autoloads auctex-autoloads tex-site</font></div><div=
 class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">auto-compl=
ete-autoloads benchmark-init-autoloads bookmark+-autoloads</font></div><div=
 class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">buffer-mov=
e-autoloads cperl-mode-autoloads csv-nav-autoloads</font></div><div class=
=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">dired+-autoloads=
 dired-single-autoloads discover-my-major-autoloads</font></div><div class=
=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">drag-stuff-autol=
oads eimp-autoloads elfeed-autoloads</font></div><div class=3D"gmail_defaul=
t"><font face=3D"trebuchet ms, sans-serif">elisp-slime-nav-autoloads epic-a=
utoloads expand-region-autoloads</font></div><div class=3D"gmail_default"><=
font face=3D"trebuchet ms, sans-serif">f-autoloads fill-column-indicator-au=
toloads fiplr-autoloads</font></div><div class=3D"gmail_default"><font face=
=3D"trebuchet ms, sans-serif">flx-ido-autoloads flx-autoloads fringe-helper=
-autoloads fuzzy-autoloads</font></div><div class=3D"gmail_default"><font f=
ace=3D"trebuchet ms, sans-serif">ggtags-autoloads goto-chg-autoloads grizzl=
-autoloads guide-key-autoloads</font></div><div class=3D"gmail_default"><fo=
nt face=3D"trebuchet ms, sans-serif">hardcore-mode-autoloads header2-autolo=
ads hl-line+-autoloads</font></div><div class=3D"gmail_default"><font face=
=3D"trebuchet ms, sans-serif">htmlize-autoloads hungry-delete-autoloads ido=
-ubiquitous-autoloads</font></div><div class=3D"gmail_default"><font face=
=3D"trebuchet ms, sans-serif">ido-vertical-mode-autoloads indent-guide-auto=
loads iregister-autoloads</font></div><div class=3D"gmail_default"><font fa=
ce=3D"trebuchet ms, sans-serif">iy-go-to-char-autoloads key-chord-autoloads=
 leuven-theme-autoloads</font></div><div class=3D"gmail_default"><font face=
=3D"trebuchet ms, sans-serif">magit-autoloads git-rebase-mode-autoloads git=
-commit-mode-autoloads</font></div><div class=3D"gmail_default"><font face=
=3D"trebuchet ms, sans-serif">makey-autoloads manage-minor-mode-autoloads m=
arkdown-mode-autoloads</font></div><div class=3D"gmail_default"><font face=
=3D"trebuchet ms, sans-serif">matlab-mode-autoloads multiple-cursors-autolo=
ads</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sa=
ns-serif">mwe-log-commands-autoloads nav-flash-autoloads nlinum-autoloads</=
font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-se=
rif">number-autoloads ox-reveal-autoloads org-autoloads</font></div><div cl=
ass=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">page-break-li=
nes-autoloads poporg-autoloads popup-autoloads</font></div><div class=3D"gm=
ail_default"><font face=3D"trebuchet ms, sans-serif">popwin-autoloads pkg-i=
nfo-autoloads epl-autoloads python-mode-autoloads</font></div><div class=3D=
"gmail_default"><font face=3D"trebuchet ms, sans-serif">rainbow-mode-autolo=
ads region-bindings-mode-autoloads</font></div><div class=3D"gmail_default"=
><font face=3D"trebuchet ms, sans-serif">req-package-autoloads log4e-autolo=
ads s-autoloads</font></div><div class=3D"gmail_default"><font face=3D"treb=
uchet ms, sans-serif">smart-compile-autoloads smart-mode-line-autoloads</fo=
nt></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-seri=
f">rich-minority-autoloads smartrep-autoloads smex-autoloads</font></div><d=
iv class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">stripe-b=
uffer-autoloads async-autoloads pcre2el-autoloads ht-autoloads</font></div>=
<div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">ucs-ut=
ils-autoloads persistent-soft-autoloads list-utils-autoloads</font></div><d=
iv class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">help-fns=
 cl-macs pcache-autoloads undo-tree-autoloads</font></div><div class=3D"gma=
il_default"><font face=3D"trebuchet ms, sans-serif">use-package-autoloads d=
iminish-autoloads bind-key-autoloads</font></div><div class=3D"gmail_defaul=
t"><font face=3D"trebuchet ms, sans-serif">visual-regexp-autoloads volatile=
-highlights-autoloads info easymenu</font></div><div class=3D"gmail_default=
"><font face=3D"trebuchet ms, sans-serif">w3m-autoloads wgrep-ag-autoloads =
wgrep-autoloads wrap-region-autoloads</font></div><div class=3D"gmail_defau=
lt"><font face=3D"trebuchet ms, sans-serif">dash-autoloads xkcd-autoloads y=
afolding-autoloads edmacro kmacro</font></div><div class=3D"gmail_default">=
<font face=3D"trebuchet ms, sans-serif">yaml-mode-autoloads package epg-con=
fig cl gv cl-loaddefs cl-lib</font></div><div class=3D"gmail_default"><font=
 face=3D"trebuchet ms, sans-serif">time-date saveplace jka-compr which-func=
 imenu paren hi-lock time delsel</font></div><div class=3D"gmail_default"><=
font face=3D"trebuchet ms, sans-serif">cus-start cus-load tooltip electric =
uniquify ediff-hook vc-hooks</font></div><div class=3D"gmail_default"><font=
 face=3D"trebuchet ms, sans-serif">lisp-float-type mwheel x-win x-dnd tool-=
bar dnd fontset image regexp-opt</font></div><div class=3D"gmail_default"><=
font face=3D"trebuchet ms, sans-serif">fringe tabulated-list newcomment lis=
p-mode prog-mode register page</font></div><div class=3D"gmail_default"><fo=
nt face=3D"trebuchet ms, sans-serif">menu-bar rfn-eshadow timer select scro=
ll-bar mouse jit-lock font-lock</font></div><div class=3D"gmail_default"><f=
ont face=3D"trebuchet ms, sans-serif">syntax facemenu font-core frame cham =
georgian utf-8-lang misc-lang</font></div><div class=3D"gmail_default"><fon=
t face=3D"trebuchet ms, sans-serif">vietnamese tibetan thai tai-viet lao ko=
rean japanese hebrew greek</font></div><div class=3D"gmail_default"><font f=
ace=3D"trebuchet ms, sans-serif">romanian slovak czech european ethiopic in=
dian cyrillic chinese</font></div><div class=3D"gmail_default"><font face=
=3D"trebuchet ms, sans-serif">case-table epa-hook jka-cmpr-hook help simple=
 abbrev minibuffer nadvice</font></div><div class=3D"gmail_default"><font f=
ace=3D"trebuchet ms, sans-serif">loaddefs button faces cus-face macroexp fi=
les text-properties overlay</font></div><div class=3D"gmail_default"><font =
face=3D"trebuchet ms, sans-serif">sha1 md5 base64 format env code-pages mul=
e custom widget</font></div><div class=3D"gmail_default"><font face=3D"treb=
uchet ms, sans-serif">hashtable-print-readable backquote make-network-proce=
ss dbusbind</font></div><div class=3D"gmail_default"><font face=3D"trebuche=
t ms, sans-serif">gfilenotify dynamic-setting system-font-setting font-rend=
er-setting</font></div><div class=3D"gmail_default"><font face=3D"trebuchet=
 ms, sans-serif">move-toolbar gtk x-toolkit x multi-tty emacs)</font></div>=
<div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif"><br></=
font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-se=
rif">Memory information:</font></div><div class=3D"gmail_default"><font fac=
e=3D"trebuchet ms, sans-serif">((conses 16 2483397 386102)</font></div><div=
 class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">=A0(symbol=
s 48 67092 55)</font></div><div class=3D"gmail_default"><font face=3D"trebu=
chet ms, sans-serif">=A0(miscs 40 9562 4331)</font></div><div class=3D"gmai=
l_default"><font face=3D"trebuchet ms, sans-serif">=A0(strings 32 733969 31=
142)</font></div><div class=3D"gmail_default"><font face=3D"trebuchet ms, s=
ans-serif">=A0(string-bytes 1 10474088)</font></div><div class=3D"gmail_def=
ault"><font face=3D"trebuchet ms, sans-serif">=A0(vectors 16 249191)</font>=
</div><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">=
=A0(vector-slots 8 8221365 101246)</font></div><div class=3D"gmail_default"=
><font face=3D"trebuchet ms, sans-serif">=A0(floats 8 50452 3320)</font></d=
iv><div class=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">=A0=
(intervals 56 24478 4182)</font></div><div class=3D"gmail_default"><font fa=
ce=3D"trebuchet ms, sans-serif">=A0(buffers 960 259)</font></div><div class=
=3D"gmail_default"><font face=3D"trebuchet ms, sans-serif">=A0(heap 1024 30=
2181 32572))</font></div><div style=3D"font-family:&#39;trebuchet ms&#39;,s=
ans-serif;font-size:small"><br></div></div><div><font face=3D"&#39;trebuche=
t ms&#39;, sans-serif"><br>--<br>Kaushal Modi</font></div>
</div>

--089e0160cf386044030506061664--
--089e0160cf386044090506061666
Content-Type: application/octet-stream; name="config.log"
Content-Disposition: attachment; filename="config.log"
Content-Transfer-Encoding: base64
X-Attachment-Id: f_i1kxt7pc0
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